#
# spec file for package qemu-linux-user
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define srcname qemu
Name:           qemu-linux-user
Url:            https://www.qemu.org/
Summary:        CPU emulator for user space
License:        BSD-3-Clause AND GPL-2.0-only AND GPL-2.0-or-later AND LGPL-2.1-or-later AND MIT
Group:          System/Emulators/PC
%define qemuver 3.1.0
%define srcver  3.1.0
Version:        %qemuver
Release:        lp151.5.3
Source:         https://wiki.qemu.org/download/%{srcname}-%{srcver}.tar.xz
Source99:       https://wiki.qemu.org/download/%{srcname}-%{srcver}.tar.xz.sig
Source100:      %{srcname}.keyring
Source400:      update_git.sh
# Upstream First -- https://wiki.qemu.org/Contribute/SubmitAPatch
# This patch queue is auto-generated from https://github.com/openSUSE/qemu
Patch0001:      0001-XXX-dont-dump-core-on-sigabort.patch
Patch0002:      0002-qemu-binfmt-conf-Modify-default-pat.patch
Patch0003:      0003-qemu-cvs-gettimeofday.patch
Patch0004:      0004-qemu-cvs-ioctl_debug.patch
Patch0005:      0005-qemu-cvs-ioctl_nodirection.patch
Patch0006:      0006-linux-user-add-binfmt-wrapper-for-a.patch
Patch0007:      0007-PPC-KVM-Disable-mmu-notifier-check.patch
Patch0008:      0008-linux-user-binfmt-support-host-bina.patch
Patch0009:      0009-linux-user-Fake-proc-cpuinfo.patch
Patch0010:      0010-Remove-problematic-evdev-86-key-fro.patch
Patch0011:      0011-linux-user-use-target_ulong.patch
Patch0012:      0012-Make-char-muxer-more-robust-wrt-sma.patch
Patch0013:      0013-linux-user-lseek-explicitly-cast-no.patch
Patch0014:      0014-AIO-Reduce-number-of-threads-for-32.patch
Patch0015:      0015-xen_disk-Add-suse-specific-flush-di.patch
Patch0016:      0016-qemu-bridge-helper-reduce-security-.patch
Patch0017:      0017-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
Patch0018:      0018-linux-user-properly-test-for-infini.patch
Patch0019:      0019-roms-Makefile-pass-a-packaging-time.patch
Patch0020:      0020-Raise-soft-address-space-limit-to-h.patch
Patch0021:      0021-increase-x86_64-physical-bits-to-42.patch
Patch0022:      0022-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
Patch0023:      0023-i8254-Fix-migration-from-SLE11-SP2.patch
Patch0024:      0024-acpi_piix4-Fix-migration-from-SLE11.patch
Patch0025:      0025-Fix-tigervnc-long-press-issue.patch
Patch0026:      0026-string-input-visitor-Fix-uint64-par.patch
Patch0027:      0027-test-string-input-visitor-Add-int-t.patch
Patch0028:      0028-test-string-input-visitor-Add-uint6.patch
Patch0029:      0029-tests-Add-QOM-property-unit-tests.patch
Patch0030:      0030-tests-Add-scsi-disk-test.patch
Patch0031:      0031-Switch-order-of-libraries-for-mpath.patch
Patch0032:      0032-Make-installed-scripts-explicitly-p.patch
Patch0033:      0033-smbios-Add-1-terminator-if-any-stri.patch
Patch0034:      0034-qemu-io-tests-comment-out-problemat.patch
Patch0035:      0035-tests-test-thread-pool-is-racy-add-.patch
Patch0036:      0036-xen-add-block-resize-support-for-xe.patch
Patch0037:      0037-tests-qemu-iotests-Triple-timeout-o.patch
Patch0038:      0038-tests-block-io-test-130-needs-some-.patch
Patch0039:      0039-xen_disk-Avoid-repeated-memory-allo.patch
Patch0040:      0040-xen-ignore-live-parameter-from-xen-.patch
Patch0041:      0041-vfio-ap-flag-as-compatible-with-bal.patch
Patch0042:      0042-hw-s390x-Fix-bad-mask-in-time2tod.patch
Patch0043:      0043-pcie-set-link-state-inactive-active.patch
Patch0044:      0044-pc-piix4-Update-smbus-I-O-space-aft.patch
Patch0045:      0045-hw-usb-fix-mistaken-de-initializati.patch
Patch0046:      0046-usb-mtp-use-O_NOFOLLOW-and-O_CLOEXE.patch
Patch0047:      0047-pvrdma-release-device-resources-in-.patch
Patch0048:      0048-rdma-check-num_sge-does-not-exceed-.patch
Patch0049:      0049-pvrdma-add-uar_read-routine.patch
Patch0050:      0050-pvrdma-check-number-of-pages-when-c.patch
Patch0051:      0051-pvrdma-check-return-value-from-pvrd.patch
Patch0052:      0052-pvrdma-release-ring-object-in-case-.patch
Patch0053:      0053-block-Fix-hangs-in-synchronous-APIs.patch
Patch0054:      0054-linux-user-make-pwrite64-pread64-fd.patch
Patch0055:      0055-xen-Add-xen-v4.12-based-xc_domain_c.patch
Patch0056:      0056-slirp-check-data-length-while-emula.patch
Patch0057:      0057-s390x-Return-specification-exceptio.patch
Patch0058:      0058-Revert-target-i386-kvm-add-VMX-migr.patch
Patch0059:      0059-memory-Fix-the-memory-region-type-a.patch
Patch0060:      0060-target-i386-sev-Do-not-pin-the-ram-.patch
Patch0061:      0061-slirp-check-sscanf-result-when-emul.patch
Patch0062:      0062-ppc-add-host-serial-and-host-model-.patch
Patch0063:      0063-i2c-ddc-fix-oob-read.patch
Patch0064:      0064-device_tree.c-Don-t-use-load_image.patch
Patch0065:      0065-spapr-Simplify-handling-of-host-ser.patch
# Please do not add QEMU patches manually here.
# Run update_git.sh to regenerate this queue.
ExcludeArch:    s390
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#!BuildIgnore:  gcc-PIE
BuildRequires:  e2fsprogs-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel-static
BuildRequires:  glibc-devel-static
BuildRequires:  makeinfo
BuildRequires:  pcre-devel-static
%if 0%{?suse_version} > 1320
BuildRequires:  python3-base
%else
BuildRequires:  python-base
%endif
BuildRequires:  zlib-devel-static
# we must not install the qemu-linux-user package when under QEMU build
%if 0%{?qemu_user_space_build:1}
#!BuildIgnore:  post-build-checks
%endif

%description
QEMU provides CPU emulation along with other related capabilities. This package
provides programs to run user space binaries and libraries meant for another
architecture. The syscall interface is intercepted and execution below the
syscall layer occurs on the native hardware and operating system.

%prep
%setup -q -n %{srcname}-%{expand:%%(SV=%{srcver};echo ${SV%%%%+git*})}
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1
%patch0063 -p1
%patch0064 -p1
%patch0065 -p1

%build
./configure \
	--prefix=%_prefix \
	--sysconfdir=%_sysconfdir \
	--libdir=%_libdir \
	--libexecdir=%_libexecdir \
	--localstatedir=%_localstatedir \
%if 0%{?suse_version} > 1320
	--python=%_bindir/python3 \
%else
	--python=%_bindir/python2 \
%endif
	--extra-cflags="%{optflags}" \
	--disable-stack-protector \
	--disable-strip \
	--disable-system --enable-linux-user \
	--disable-tools --disable-guest-agent \
	--static \
	--disable-modules \
	--disable-pie \
	--disable-docs \
	--audio-drv-list="" \
	--enable-attr \
	--disable-blobs \
	--disable-bluez \
	--disable-bochs \
	--disable-brlapi \
	--disable-bzip2 \
	--disable-cap-ng \
	--disable-capstone \
	--disable-cloop \
	--enable-coroutine-pool \
	--disable-curl \
	--disable-curses \
	--disable-dmg \
	--disable-fdt \
	--disable-gcrypt \
	--disable-glusterfs \
	--disable-gnutls \
	--disable-gtk \
	--disable-hax \
	--disable-hvf \
	--disable-jemalloc \
	--disable-kvm \
	--disable-libiscsi \
	--disable-libnfs \
	--disable-libpmem \
	--disable-libssh2 \
	--disable-libusb \
	--disable-libxml2 \
	--disable-linux-aio \
	--disable-lzo \
	--disable-malloc-trim \
	--enable-membarrier \
	--disable-mpath \
	--disable-netmap \
	--disable-nettle \
	--disable-numa \
	--disable-opengl \
	--disable-parallels \
	--disable-pvrdma \
	--disable-qcow1 \
	--disable-qed \
	--disable-rbd \
	--disable-rdma \
	--disable-replication \
	--disable-sanitizers \
	--disable-sdl \
	--disable-seccomp \
	--disable-sheepdog \
	--disable-smartcard \
	--disable-snappy \
	--disable-spice \
	--disable-tcmalloc \
	--disable-tpm \
	--disable-usb-redir \
	--disable-vde \
	--disable-vdi \
	--disable-vhost-crypto \
	--disable-vhost-net \
	--disable-virglrenderer \
	--disable-virtfs \
	--disable-vnc \
	--disable-vnc-jpeg \
	--disable-vnc-png \
	--disable-vnc-sasl \
	--disable-vte \
	--disable-vvfat \
	--disable-whpx \
	--disable-xen \
	--disable-xen-pci-passthrough \
	--disable-xen-pv-domain-build \
	--disable-xfsctl \

make %{?_smp_mflags} V=1

%ifarch %ix86
%define qemu_arch i386
%endif
%ifarch x86_64
%define qemu_arch x86_64
%endif
%ifarch %arm
%define qemu_arch arm
%endif
%ifarch aarch64
%define qemu_arch aarch64
%endif
%ifarch ppc
%define qemu_arch ppc
%endif
%ifarch ppc64
%define qemu_arch ppc64
%endif
%ifarch ppc64le
%define qemu_arch ppc64le
%endif
%ifarch s390x
%define qemu_arch s390x
%endif

%ifarch %ix86 x86_64 %arm aarch64 ppc ppc64 ppc64le s390x
%check
%{qemu_arch}-linux-user/qemu-%{qemu_arch} %_bindir/ls > /dev/null
%endif

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%_datadir/qemu/keymaps
unlink %{buildroot}%_datadir/qemu/trace-events-all
install -d -m 755 %{buildroot}%_sbindir
install -m 755 scripts/qemu-binfmt-conf.sh %{buildroot}%_sbindir
%fdupes -s %{buildroot}

%files
%defattr(-, root, root)
%doc Changelog README VERSION
%license COPYING COPYING.LIB LICENSE
%_bindir/qemu-aarch64
%_bindir/qemu-aarch64_be
%_bindir/qemu-alpha
%_bindir/qemu-arm
%_bindir/qemu-armeb
%_bindir/qemu-cris
%_bindir/qemu-hppa
%_bindir/qemu-i386
%_bindir/qemu-m68k
%_bindir/qemu-microblaze
%_bindir/qemu-microblazeel
%_bindir/qemu-mips
%_bindir/qemu-mipsel
%_bindir/qemu-mipsn32
%_bindir/qemu-mipsn32el
%_bindir/qemu-mips64
%_bindir/qemu-mips64el
%_bindir/qemu-nios2
%_bindir/qemu-or1k
%_bindir/qemu-ppc64abi32
%_bindir/qemu-ppc64
%_bindir/qemu-ppc64le
%_bindir/qemu-ppc
%_bindir/qemu-riscv32
%_bindir/qemu-riscv64
%_bindir/qemu-s390x
%_bindir/qemu-sh4
%_bindir/qemu-sh4eb
%_bindir/qemu-sparc32plus
%_bindir/qemu-sparc64
%_bindir/qemu-sparc
%_bindir/qemu-tilegx
%_bindir/qemu-x86_64
%_bindir/qemu-xtensa
%_bindir/qemu-xtensaeb
%_bindir/qemu-*-binfmt
%_sbindir/qemu-binfmt-conf.sh

%changelog
* Fri Mar 29 2019 Bruce Rogers <brogers@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0065-spapr-Simplify-handling-of-host-ser.patch
* Wed Mar 27 2019 Bruce Rogers <brogers@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0064-device_tree.c-Don-t-use-load_image.patch
* Mon Mar 25 2019 Bruce Rogers <brogers@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0061-slirp-check-sscanf-result-when-emul.patch
  0062-ppc-add-host-serial-and-host-model-.patch
  0063-i2c-ddc-fix-oob-read.patch
* Fri Feb 15 2019 Bruce Rogers <brogers@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0058-Revert-target-i386-kvm-add-VMX-migr.patch
  0059-memory-Fix-the-memory-region-type-a.patch
  0060-target-i386-sev-Do-not-pin-the-ram-.patch
* Wed Jan 30 2019 Liang Yan <lyan@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0057-s390x-Return-specification-exceptio.patch
* Fri Jan 25 2019 Bruce Rogers <brogers@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0056-slirp-check-data-length-while-emula.patch
* Thu Jan 17 2019 Bruce Rogers <brogers@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0055-xen-Add-xen-v4.12-based-xc_domain_c.patch
* Tue Jan 15 2019 Liang Yan <lyan@suse.com>
- Fix pwrite64/pread64 to return 0 over -1 for a
  zero length NULL buffer in qemu (bsc#1121600)
  0054-linux-user-make-pwrite64-pread64-fd.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
* Thu Jan 10 2019 Bruce Rogers <brogers@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0041-vfio-ap-flag-as-compatible-with-bal.patch
  0042-hw-s390x-Fix-bad-mask-in-time2tod.patch
  0043-pcie-set-link-state-inactive-active.patch
  0044-pc-piix4-Update-smbus-I-O-space-aft.patch
  0045-hw-usb-fix-mistaken-de-initializati.patch
  0046-usb-mtp-use-O_NOFOLLOW-and-O_CLOEXE.patch
  0047-pvrdma-release-device-resources-in-.patch
  0048-rdma-check-num_sge-does-not-exceed-.patch
  0049-pvrdma-add-uar_read-routine.patch
  0050-pvrdma-check-number-of-pages-when-c.patch
  0051-pvrdma-check-return-value-from-pvrd.patch
  0052-pvrdma-release-ring-object-in-case-.patch
  0053-block-Fix-hangs-in-synchronous-APIs.patch
* Tue Jan  8 2019 olaf@aepfle.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0040-xen-ignore-live-parameter-from-xen-.patch
  (bsc#1079730, bsc#1101982, bsc#1063993)
* Fri Jan  4 2019 Bruce Rogers <brogers@suse.com>
- Follow up on ideas prompted by last change: clean up the patches
  generated by git workflow. There is no value to the first line
  (mbox From line), or [PATCH] on subject line. Get rid of those
- Other minor fixes and improvements to update_git.sh
* Thu Jan  3 2019 olaf@aepfle.de
- Modify update_git.sh script:
  pass --zero-commit to format-patch
  This removes needless noise in the buildservice when the same set
  of patches is imported/exported at different times by different users.
  pass --no-signature to format-patch
  Remove sed call which used to remove the signature, use mv instead
* Wed Dec 12 2018 Bruce Rogers <brogers@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
  * Patches added:
  0039-xen_disk-Avoid-repeated-memory-allo.patch
* Tue Dec 11 2018 Bruce Rogers <brogers@suse.com>
- Update to v3.1.0: See http://wiki.qemu.org/ChangeLog/3.1
  Take note that ongoing feature deprecation is tracked at both
  http://wiki.qemu-project.org/Features/LegacyRemoval and in
  Appendix B of the qemu-doc.* files installed with the qemu package
  Some noteworthy changes:
  * Multithreaded TCG on x86 is considered supportable
  * Improvements to netlink emulation
  * Support for usbfs ioctls
  * xtensa-linux-user support the bFLT format
  * Patches dropped (upstream unless otherwise noted):
  0033-migration-warn-about-inconsistent-s.patch (shouldn't be needed anymore)
  0035-configure-Modify-python-used-for-io.patch (upstream now python3 friendly)
  0039-tests-boot-serial-test-Bump-timeout.patch
  0040-linux-headers-update.patch
  0041-s390x-kvm-add-etoken-facility.patch
  0042-seccomp-prefer-SCMP_ACT_KILL_PROCES.patch
  0043-configure-require-libseccomp-2.2.0.patch
  0044-seccomp-set-the-seccomp-filter-to-a.patch
  0045-sandbox-disable-sandbox-if-CONFIG_S.patch
  0046-seccomp-check-TSYNC-host-capability.patch
  0047-linux-user-init_guest_space-Try-to-.patch
  0048-ne2000-fix-possible-out-of-bound-ac.patch
  0049-rtl8139-fix-possible-out-of-bound-a.patch
  0050-pcnet-fix-possible-buffer-overflow.patch
  0051-net-ignore-packet-size-greater-than.patch
  0052-lsi53c895a-check-message-length-val.patch
  0053-nvme-fix-oob-access-issue-CVE-2018-.patch (fixed differently upstream)
  * Patches renamed:
  0034-smbios-Add-1-terminator-if-any-stri.patch
  - > 0033-smbios-Add-1-terminator-if-any-stri.patch
  0036-qemu-io-tests-comment-out-problemat.patch
  - > 0034-qemu-io-tests-comment-out-problemat.patch
  0037-tests-test-thread-pool-is-racy-add-.patch
  - > 0035-tests-test-thread-pool-is-racy-add-.patch
  0038-xen-add-block-resize-support-for-xe.patch
  - > 0036-xen-add-block-resize-support-for-xe.patch
  * Patches added:
  0037-tests-qemu-iotests-Triple-timeout-o.patch
  0038-tests-block-io-test-130-needs-some-.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.1
- Tweaked patches we carry to pass qemu's checkpatch checker
- Modify update_git.sh script to enable packaging qemu from development
  time sources, not just at release time.
* Thu Nov  8 2018 Bruce Rogers <brogers@suse.com>
- Re-sync openSUSE and SUSE SLE qemu packages. This changes file
  is the openSUSE one with this entry providing the intervening
  SLE CVE, FATE, and bugzilla references, which are still addressed
  in this package, and not yet called out in this changes file.
  * bsc#1112499
  * Patches added:
  0047-linux-user-init_guest_space-Try-to-.patch
  0048-ne2000-fix-possible-out-of-bound-ac.patch
  0049-rtl8139-fix-possible-out-of-bound-a.patch
  0050-pcnet-fix-possible-buffer-overflow.patch
  0051-net-ignore-packet-size-greater-than.patch
  0052-lsi53c895a-check-message-length-val.patch
  0053-nvme-fix-oob-access-issue-CVE-2018-.patch
* Fri Oct  5 2018 Larry Dewey <ldewey@suse.com>
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.0
  * Patches added:
  0042-seccomp-prefer-SCMP_ACT_KILL_PROCES.patch
  0043-configure-require-libseccomp-2.2.0.patch
  0044-seccomp-set-the-seccomp-filter-to-a.patch
  0045-sandbox-disable-sandbox-if-CONFIG_S.patch
  0046-seccomp-check-TSYNC-host-capability.patch
* Fri Sep 21 2018 Bruce Rogers <brogers@suse.com>
- Make spec file improvements, including the following:
  * Add qemu.keyring to enable package source verification
  * Create srcname macro to identify source file name separately from
  package name
  * Sort some entries
  * Minor file tweaks as done by osc format_spec_file service
* Fri Sep 14 2018 Bruce Rogers <brogers@suse.com>
- Remove BuildRequires for libattr-devel-static since it's not needed.
- Re-sync openSUSE and SUSE SLE qemu-linux-user package. This changes
  file is the openSUSE one with this entry providing the intervening
  SLE CVE, FATE, and bugzilla references, which are still addressed
  in this package, and not yet called out in this changes file.
  * <none>
  * Patches added:
  0040-linux-headers-update.patch
  0041-s390x-kvm-add-etoken-facility.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.0
* Mon Aug 20 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.0
  * Patches added:
  0039-tests-boot-serial-test-Bump-timeout.patch
* Tue Aug 14 2018 brogers@suse.com
- Update to v3.0.0: See http://wiki.qemu.org/ChangeLog/3.0
  Don't read anything into the major version number update. It's
  been decided to increase the major version number each year.
  Take note that ongoing feature deprecation is tracked at both
  http://wiki.qemu-project.org/Features/LegacyRemoval and in
  Appendix B of the qemu-doc.* files installed with the qemu package.
  Some noteworthy changes:
  * PPC64 host fixes (page size, mmap alignment, interrupted syscall,
  F_*LK64)
  * Fixes for several syscalls: mmap with 0 length, setsockopt, netlink
  * new syscalls: swapcontext (ppc), get_tls (ARM)
  * Most errors are now affected by -d rather than just dumped to stderr
  * qemu-binfmt-conf.sh: new options to use persistent (F) flag, ignore
  the OS/ABI field
  * add support of FDPIC for ARM
  * Support for ARM's Scalable Vector Extensions
  * Patches dropped (upstream unless otherwise noted):
  0008-linux-user-fix-segfault-deadlock.patch (no longer needed)
  0039-blockjob-Fix-assertion-in-block_job.patch
  0041-seccomp-allow-sched_setscheduler-wi.patch
  * Patches renamed:
  0009-linux-user-binfmt-support-host-bina.patch
  - > 0008-linux-user-binfmt-support-host-bina.patch
  0010-linux-user-Fake-proc-cpuinfo.patch
  - > 0009-linux-user-Fake-proc-cpuinfo.patch
  0011-Remove-problematic-evdev-86-key-fro.patch
  - > 0010-Remove-problematic-evdev-86-key-fro.patch
  0012-linux-user-use-target_ulong.patch
  - > 0011-linux-user-use-target_ulong.patch
  0013-Make-char-muxer-more-robust-wrt-sma.patch
  - > 0012-Make-char-muxer-more-robust-wrt-sma.patch
  0014-linux-user-lseek-explicitly-cast-no.patch
  - > 0013-linux-user-lseek-explicitly-cast-no.patch
  0015-AIO-Reduce-number-of-threads-for-32.patch
  - > 0014-AIO-Reduce-number-of-threads-for-32.patch
  0016-xen_disk-Add-suse-specific-flush-di.patch
  - > 0015-xen_disk-Add-suse-specific-flush-di.patch
  0017-qemu-bridge-helper-reduce-security-.patch
  - > 0016-qemu-bridge-helper-reduce-security-.patch
  0018-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  - > 0017-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  0019-linux-user-properly-test-for-infini.patch
  - > 0018-linux-user-properly-test-for-infini.patch
  0020-roms-Makefile-pass-a-packaging-time.patch
  - > 0019-roms-Makefile-pass-a-packaging-time.patch
  0021-Raise-soft-address-space-limit-to-h.patch
  - > 0020-Raise-soft-address-space-limit-to-h.patch
  0022-increase-x86_64-physical-bits-to-42.patch
  - > 0021-increase-x86_64-physical-bits-to-42.patch
  0023-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  - > 0022-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0024-i8254-Fix-migration-from-SLE11-SP2.patch
  - > 0023-i8254-Fix-migration-from-SLE11-SP2.patch
  0025-acpi_piix4-Fix-migration-from-SLE11.patch
  - > 0024-acpi_piix4-Fix-migration-from-SLE11.patch
  0026-Fix-tigervnc-long-press-issue.patch
  - > 0025-Fix-tigervnc-long-press-issue.patch
  0027-string-input-visitor-Fix-uint64-par.patch
  - > 0026-string-input-visitor-Fix-uint64-par.patch
  0028-test-string-input-visitor-Add-int-t.patch
  - > 0027-test-string-input-visitor-Add-int-t.patch
  0029-test-string-input-visitor-Add-uint6.patch
  - > 0028-test-string-input-visitor-Add-uint6.patch
  0030-tests-Add-QOM-property-unit-tests.patch
  - > 0029-tests-Add-QOM-property-unit-tests.patch
  0031-tests-Add-scsi-disk-test.patch
  - > 0030-tests-Add-scsi-disk-test.patch
  0032-Switch-order-of-libraries-for-mpath.patch
  - > 0031-Switch-order-of-libraries-for-mpath.patch
  0033-Make-installed-scripts-explicitly-p.patch
  - > 0032-Make-installed-scripts-explicitly-p.patch (python2->python3)
  0034-migration-warn-about-inconsistent-s.patch
  - > 0033-migration-warn-about-inconsistent-s.patch
  0035-smbios-Add-1-terminator-if-any-stri.patch
  - > 0034-smbios-Add-1-terminator-if-any-stri.patch
  0036-configure-Modify-python-used-for-io.patch
  - > 0035-configure-Modify-python-used-for-io.patch
  0037-qemu-io-tests-comment-out-problemat.patch
  - > 0036-qemu-io-tests-comment-out-problemat.patch
  0038-tests-test-thread-pool-is-racy-add-.patch
  - > 0037-tests-test-thread-pool-is-racy-add-.patch
  0040-xen-add-block-resize-support-for-xe.patch
  - > 0038-xen-add-block-resize-support-for-xe.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-3.0
* Fri Aug  3 2018 brogers@suse.com
- Update to v2.12.1, a stable, (mostly) bug-fix-only release
  * This update contains new mitigation functionality for
  CVE-2018-3639 (Speculative Store Bypass) in x86. There are also
  bug fixes for migration, Intel IOMMU emulation, block layer/image
  handling, ARM emulation, and various other areas.
  (Note that a number of 2.12.1 patches were already included by us
  previously) (CVE-2018-3639 bsc#1092885)
  * Patches dropped (subsumed by stable update):
  0039-device_tree-Increase-FDT_MAX_SIZE-t.patch
  0040-vnc-fix-use-after-free.patch
  0041-ccid-Fix-dwProtocols-advertisement-.patch
  0042-tcg-arm-Fix-memory-barrier-encoding.patch
  0043-s390-ccw-force-diag-308-subcode-to-.patch
  0044-nbd-client-fix-nbd_negotiate_simple.patch
  0045-migration-block-dirty-bitmap-fix-me.patch
  0046-nbd-client-Fix-error-messages-durin.patch
  0047-nbd-client-Relax-handling-of-large-.patch
  0048-qxl-fix-local-renderer-crash.patch
  0049-tcg-Limit-the-number-of-ops-in-a-TB.patch
  0050-target-arm-Clear-SVE-high-bits-for-.patch
  0051-cpus-tcg-fix-never-exiting-loop-on-.patch
  0052-s390x-css-disabled-subchannels-cann.patch
  0053-pc-bios-s390-ccw-struct-tpi_info-mu.patch
  0054-virtio-ccw-common-reset-handler.patch
  0055-s390x-ccw-make-sure-all-ccw-devices.patch
  0056-blockjob-expose-error-string-via-qu.patch
  0058-qemu-io-Use-purely-string-blockdev-.patch
  0059-qemu-img-Use-only-string-options-in.patch
  0060-nfs-Remove-processed-options-from-Q.patch
  0061-i386-define-the-ssbd-CPUID-feature-.patch
  0062-i386-Define-the-Virt-SSBD-MSR-and-h.patch
  0063-i386-define-the-AMD-virt-ssbd-CPUID.patch
  0064-ahci-fix-PxCI-register-race.patch
  0065-ccid-card-passthru-fix-regression-i.patch
  * Patches renamed:
  0057-blockjob-Fix-assertion-in-block_job.patch
  - > 0039-blockjob-Fix-assertion-in-block_job.patch
  0066-xen-add-block-resize-support-for-xe.patch
  - > 0040-xen-add-block-resize-support-for-xe.patch
  0067-seccomp-allow-sched_setscheduler-wi.patch
  - > 0041-seccomp-allow-sched_setscheduler-wi.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
* Wed Jul 25 2018 ldewey@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
  * Patches added:
  0067-seccomp-allow-sched_setscheduler-wi.patch
* Thu Jul  5 2018 brogers@suse.com
- Remove linux-user patch which is no longer needed (bsc#1098056)
  * Patches dropped:
  0011-linux-user-XXX-disable-fiemap.patch
  * Patches renamed:
  0036-Remove-problematic-evdev-86-key-fro.patch
  - > 0011-Remove-problematic-evdev-86-key-fro.patch
  0037-configure-Modify-python-used-for-io.patch
  - > 0036-configure-Modify-python-used-for-io.patch
  0038-qemu-io-tests-comment-out-problemat.patch
  - > 0037-qemu-io-tests-comment-out-problemat.patch
  0039-tests-test-thread-pool-is-racy-add-.patch
  - > 0038-tests-test-thread-pool-is-racy-add-.patch
  0040-device_tree-Increase-FDT_MAX_SIZE-t.patch
  - > 0039-device_tree-Increase-FDT_MAX_SIZE-t.patch
  0041-vnc-fix-use-after-free.patch
  - > 0040-vnc-fix-use-after-free.patch
  0042-ccid-Fix-dwProtocols-advertisement-.patch
  - > 0041-ccid-Fix-dwProtocols-advertisement-.patch
  0043-tcg-arm-Fix-memory-barrier-encoding.patch
  - > 0042-tcg-arm-Fix-memory-barrier-encoding.patch
  0044-s390-ccw-force-diag-308-subcode-to-.patch
  - > 0043-s390-ccw-force-diag-308-subcode-to-.patch
  0045-nbd-client-fix-nbd_negotiate_simple.patch
  - > 0044-nbd-client-fix-nbd_negotiate_simple.patch
  0046-migration-block-dirty-bitmap-fix-me.patch
  - > 0045-migration-block-dirty-bitmap-fix-me.patch
  0047-nbd-client-Fix-error-messages-durin.patch
  - > 0046-nbd-client-Fix-error-messages-durin.patch
  0048-nbd-client-Relax-handling-of-large-.patch
  - > 0047-nbd-client-Relax-handling-of-large-.patch
  0049-qxl-fix-local-renderer-crash.patch
  - > 0048-qxl-fix-local-renderer-crash.patch
  0050-tcg-Limit-the-number-of-ops-in-a-TB.patch
  - > 0049-tcg-Limit-the-number-of-ops-in-a-TB.patch
  0051-target-arm-Clear-SVE-high-bits-for-.patch
  - > 0050-target-arm-Clear-SVE-high-bits-for-.patch
  0052-cpus-tcg-fix-never-exiting-loop-on-.patch
  - > 0051-cpus-tcg-fix-never-exiting-loop-on-.patch
  0053-s390x-css-disabled-subchannels-cann.patch
  - > 0052-s390x-css-disabled-subchannels-cann.patch
  0054-pc-bios-s390-ccw-struct-tpi_info-mu.patch
  - > 0053-pc-bios-s390-ccw-struct-tpi_info-mu.patch
  0055-virtio-ccw-common-reset-handler.patch
  - > 0054-virtio-ccw-common-reset-handler.patch
  0056-s390x-ccw-make-sure-all-ccw-devices.patch
  - > 0055-s390x-ccw-make-sure-all-ccw-devices.patch
  0057-blockjob-expose-error-string-via-qu.patch
  - > 0056-blockjob-expose-error-string-via-qu.patch
  0058-blockjob-Fix-assertion-in-block_job.patch
  - > 0057-blockjob-Fix-assertion-in-block_job.patch
  0059-qemu-io-Use-purely-string-blockdev-.patch
  - > 0058-qemu-io-Use-purely-string-blockdev-.patch
  0060-qemu-img-Use-only-string-options-in.patch
  - > 0059-qemu-img-Use-only-string-options-in.patch
  0061-nfs-Remove-processed-options-from-Q.patch
  - > 0060-nfs-Remove-processed-options-from-Q.patch
  0062-i386-define-the-ssbd-CPUID-feature-.patch
  - > 0061-i386-define-the-ssbd-CPUID-feature-.patch
  0063-i386-Define-the-Virt-SSBD-MSR-and-h.patch
  - > 0062-i386-Define-the-Virt-SSBD-MSR-and-h.patch
  0064-i386-define-the-AMD-virt-ssbd-CPUID.patch
  - > 0063-i386-define-the-AMD-virt-ssbd-CPUID.patch
  0065-ahci-fix-PxCI-register-race.patch
  - > 0064-ahci-fix-PxCI-register-race.patch
  0066-ccid-card-passthru-fix-regression-i.patch
  - > 0065-ccid-card-passthru-fix-regression-i.patch
  0067-xen-add-block-resize-support-for-xe.patch
  - > 0066-xen-add-block-resize-support-for-xe.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
* Thu Jul  5 2018 brogers@suse.com
- Tweak build service constraints information to avoid failures
* Fri Jun  8 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
  * Patches added:
  0067-xen-add-block-resize-support-for-xe.patch
* Thu Jun  7 2018 brogers@suse.com
- Tweak patch file generation to be more git version agnostic.
  Also change update_git.sh to not reformat spec file by default.
* Thu May 31 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
  * Patches dropped:
  0065-Revert-replay-don-t-process-async-e.patch
  0066-Revert-replay-avoid-recursive-call-.patch
  0067-Revert-replay-check-return-values-o.patch
  0068-Revert-replay-push-replay_mutex_loc.patch
  * Patches added:
  0065-ahci-fix-PxCI-register-race.patch
  0066-ccid-card-passthru-fix-regression-i.patch
* Fri May 25 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
  * Patches added:
  0062-i386-define-the-ssbd-CPUID-feature-.patch
  0063-i386-Define-the-Virt-SSBD-MSR-and-h.patch
  0064-i386-define-the-AMD-virt-ssbd-CPUID.patch
  0065-Revert-replay-don-t-process-async-e.patch
  0066-Revert-replay-avoid-recursive-call-.patch
  0067-Revert-replay-check-return-values-o.patch
  0068-Revert-replay-push-replay_mutex_loc.patch
* Thu May 17 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
  * Patches added:
  0040-device_tree-Increase-FDT_MAX_SIZE-t.patch
  0041-vnc-fix-use-after-free.patch
  0042-ccid-Fix-dwProtocols-advertisement-.patch
  0043-tcg-arm-Fix-memory-barrier-encoding.patch
  0044-s390-ccw-force-diag-308-subcode-to-.patch
  0045-nbd-client-fix-nbd_negotiate_simple.patch
  0046-migration-block-dirty-bitmap-fix-me.patch
  0047-nbd-client-Fix-error-messages-durin.patch
  0048-nbd-client-Relax-handling-of-large-.patch
  0049-qxl-fix-local-renderer-crash.patch
  0050-tcg-Limit-the-number-of-ops-in-a-TB.patch
  0051-target-arm-Clear-SVE-high-bits-for-.patch
  0052-cpus-tcg-fix-never-exiting-loop-on-.patch
  0053-s390x-css-disabled-subchannels-cann.patch
  0054-pc-bios-s390-ccw-struct-tpi_info-mu.patch
  0055-virtio-ccw-common-reset-handler.patch
  0056-s390x-ccw-make-sure-all-ccw-devices.patch
  0057-blockjob-expose-error-string-via-qu.patch
  0058-blockjob-Fix-assertion-in-block_job.patch
  0059-qemu-io-Use-purely-string-blockdev-.patch
  0060-qemu-img-Use-only-string-options-in.patch
  0061-nfs-Remove-processed-options-from-Q.patch
* Fri Apr 27 2018 brogers@suse.com
- Update to v2.12.0: See http://wiki.qemu.org/ChangeLog/2.12
  Some noteworthy changes:
  new aarch64_be target
  more system calls supported
  misc fixes for deadlocks, speed, and signal handling
  * Patches dropped:
  0033-memfd-fix-configure-test.patch
  0034-qapi-use-items-values-intead-of-ite.patch
  0035-qapi-Use-OrderedDict-from-standard-.patch
  0036-qapi-adapt-to-moved-location-of-Str.patch
  0037-qapi-Adapt-to-moved-location-of-mak.patch
  0038-qapi-remove-q-arg-to-diff-when-comp.patch
  0039-qapi-ensure-stable-sort-ordering-wh.patch
  0040-qapi-force-a-UTF-8-locale-for-runni.patch
  0041-scripts-ensure-signrom-treats-data-.patch
  0042-configure-allow-use-of-python-3.patch
  0043-input-add-missing-JIS-keys-to-virti.patch
  0045-pc-fail-memory-hot-plug-unplug-with.patch
  0046-memattrs-add-debug-attribute.patch
  0047-exec-add-ram_debug_ops-support.patch
  0048-exec-add-debug-version-of-physical-.patch
  0049-monitor-i386-use-debug-APIs-when-ac.patch
  0050-machine-add-memory-encryption-prope.patch
  0051-kvm-update-kvm.h-to-include-memory-.patch
  0052-docs-add-AMD-Secure-Encrypted-Virtu.patch
  0053-target-i386-add-Secure-Encrypted-Vi.patch
  0054-qmp-add-query-sev-command.patch
  0055-sev-i386-add-command-to-initialize-.patch
  0056-qmp-populate-SevInfo-fields-with-SE.patch
  0057-sev-i386-register-the-guest-memory-.patch
  0058-kvm-introduce-memory-encryption-API.patch
  0059-hmp-add-info-sev-command.patch
  0060-sev-i386-add-command-to-create-laun.patch
  0061-sev-i386-add-command-to-encrypt-gue.patch
  0062-target-i386-encrypt-bios-rom.patch
  0063-sev-i386-add-support-to-LAUNCH_MEAS.patch
  0064-sev-i386-finalize-the-SEV-guest-lau.patch
  0065-hw-i386-set-ram_debug_ops-when-memo.patch
  0066-sev-i386-add-debug-encrypt-and-decr.patch
  0067-target-i386-clear-C-bit-when-walkin.patch
  0068-include-add-psp-sev.h-header-file.patch
  0069-sev-i386-add-support-to-query-PLATF.patch
  0070-sev-i386-add-support-to-KVM_SEV_GUE.patch
  0071-qmp-add-query-sev-launch-measure-co.patch
  0072-tests-qmp-test-blacklist-query-sev-.patch
  0073-sev-i386-add-migration-blocker.patch
  0074-cpu-i386-populate-CPUID-0x8000_001F.patch
  0075-migration-warn-about-inconsistent-s.patch
  0076-smbios-support-setting-OEM-strings-.patch
  0077-smbios-Add-1-terminator-if-any-stri.patch
  0078-Remove-problematic-evdev-86-key-fro.patch
  0079-tpm-lookup-cancel-path-under-tpm-de.patch
  0080-vga-fix-region-calculation.patch
  skiboot-GCC7-fixes-for-Wimplicit-fallthr.patch
  skiboot-libc-stdio-vsnprintf.c-add-expli.patch
  skiboot-build-LDFLAGS-pass-pie-flag-explicitly-to-ld.patch
  ui-keycodemapdb-Add-missing-QKeyCode-val.patch
  ui-keycodemapdb-Fix-compat-with-py3-dict.patch
  * Patches renamed:
  0044-Make-installed-scripts-explicitly-p.patch
  - > 0033-Make-installed-scripts-explicitly-p.patch
  0075-migration-warn-about-inconsistent-s.patch
  - > 0034-migration-warn-about-inconsistent-s.patch
  0077-smbios-Add-1-terminator-if-any-stri.patch
  - > 0035-smbios-Add-1-terminator-if-any-stri.patch
  0078-Remove-problematic-evdev-86-key-fro.patch
  - > 0036-Remove-problematic-evdev-86-key-fro.patch
  * Patches added:
  0037-configure-Modify-python-used-for-io.patch
  0038-qemu-io-tests-comment-out-problemat.patch
  0039-tests-test-thread-pool-is-racy-add-.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
* Thu Apr  5 2018 brogers@suse.com
- Be more specific about python version used in building package.
  Other minor spec file tweaks.
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches added:
  0080-vga-fix-region-calculation.patch
* Thu Apr  5 2018 lyan@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches added:
  0079-tpm-lookup-cancel-path-under-tpm-de.patch
* Wed Mar 14 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches added:
  0078-Remove-problematic-evdev-86-key-fro.patch
* Wed Mar 14 2018 lma@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches added:
  0077-smbios-Add-1-terminator-if-any-stri.patch
  bsc#994082 and bsc#1084316
* Fri Mar  9 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches added:
  0076-smbios-support-setting-OEM-strings-.patch
* Sat Mar  3 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches dropped:
  0076-i386-Compensate-for-KVM-SPEC_CTRL-f.patch
* Thu Feb 22 2018 brogers@suse.com
- Update to v2.11.1, a stable, (mostly) bug-fix-only release
  * Patches dropped:
  0033-i386-kvm-MSR_IA32_SPEC_CTRL-and-MSR.patch
  0050-target-i386-add-memory-encryption-f.patch
  0054-accel-add-Secure-Encrypted-Virtuliz.patch
  0072-sev-Fix-build-for-non-x86-hosts.patch
  * Patches added:
  0033-memfd-fix-configure-test.patch
  0053-target-i386-add-Secure-Encrypted-Vi.patch
  0056-qmp-populate-SevInfo-fields-with-SE.patch
  0072-tests-qmp-test-blacklist-query-sev-.patch
  0073-sev-i386-add-migration-blocker.patch
  0074-cpu-i386-populate-CPUID-0x8000_001F.patch
  0075-migration-warn-about-inconsistent-s.patch
  0076-i386-Compensate-for-KVM-SPEC_CTRL-f.patch
  * Patches renamed (plus some minor code changes):
  0051-machine-add-memory-encryption-prope.patch
  - > 0050-machine-add-memory-encryption-prope.patch
  0052-kvm-update-kvm.h-to-include-memory-.patch
  - > 0051-kvm-update-kvm.h-to-include-memory-.patch
  0053-docs-add-AMD-Secure-Encrypted-Virtu.patch
  - > 0052-docs-add-AMD-Secure-Encrypted-Virtu.patch
  0055-sev-add-command-to-initialize-the-m.patch
  - > 0055-sev-i386-add-command-to-initialize-.patch
  0056-sev-register-the-guest-memory-range.patch
  - > 0057-sev-i386-register-the-guest-memory-.patch
  0057-kvm-introduce-memory-encryption-API.patch
  - > 0058-kvm-introduce-memory-encryption-API.patch
  0058-qmp-add-query-sev-command.patch
  - > 0054-qmp-add-query-sev-command.patch
  0060-sev-add-command-to-create-launch-me.patch
  - > 0060-sev-i386-add-command-to-create-laun.patch
  0061-sev-add-command-to-encrypt-guest-me.patch
  - > 0061-sev-i386-add-command-to-encrypt-gue.patch
  0063-sev-add-support-to-LAUNCH_MEASURE-c.patch
  - > 0063-sev-i386-add-support-to-LAUNCH_MEAS.patch
  0064-sev-Finalize-the-SEV-guest-launch-f.patch
  - > 0064-sev-i386-finalize-the-SEV-guest-lau.patch
  0066-sev-add-debug-encrypt-and-decrypt-c.patch
  - > 0066-sev-i386-add-debug-encrypt-and-decr.patch
  0069-sev-add-support-to-query-PLATFORM_S.patch
  - > 0069-sev-i386-add-support-to-query-PLATF.patch
  0070-sev-add-support-to-KVM_SEV_GUEST_ST.patch
  - > 0070-sev-i386-add-support-to-KVM_SEV_GUE.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
* Thu Feb  8 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches added:
  0046-memattrs-add-debug-attribute.patch
  0047-exec-add-ram_debug_ops-support.patch
  0048-exec-add-debug-version-of-physical-.patch
  0049-monitor-i386-use-debug-APIs-when-ac.patch
  0050-target-i386-add-memory-encryption-f.patch
  0051-machine-add-memory-encryption-prope.patch
  0052-kvm-update-kvm.h-to-include-memory-.patch
  0053-docs-add-AMD-Secure-Encrypted-Virtu.patch
  0054-accel-add-Secure-Encrypted-Virtuliz.patch
  0055-sev-add-command-to-initialize-the-m.patch
  0056-sev-register-the-guest-memory-range.patch
  0057-kvm-introduce-memory-encryption-API.patch
  0058-qmp-add-query-sev-command.patch
  0059-hmp-add-info-sev-command.patch
  0060-sev-add-command-to-create-launch-me.patch
  0061-sev-add-command-to-encrypt-guest-me.patch
  0062-target-i386-encrypt-bios-rom.patch
  0063-sev-add-support-to-LAUNCH_MEASURE-c.patch
  0064-sev-Finalize-the-SEV-guest-launch-f.patch
  0065-hw-i386-set-ram_debug_ops-when-memo.patch
  0066-sev-add-debug-encrypt-and-decrypt-c.patch
  0067-target-i386-clear-C-bit-when-walkin.patch
  0068-include-add-psp-sev.h-header-file.patch
  0069-sev-add-support-to-query-PLATFORM_S.patch
  0070-sev-add-support-to-KVM_SEV_GUEST_ST.patch
  0071-qmp-add-query-sev-launch-measure-co.patch
  0072-sev-Fix-build-for-non-x86-hosts.patch
* Thu Feb  8 2018 brogers@suse.com
- Update python3 related patches now that they are upstream
* Mon Jan 29 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches added:
  0045-pc-fail-memory-hot-plug-unplug-with.patch
* Thu Jan 25 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches dropped:
  0032-scripts-avoid-usr-bin-python-refere.patch
  * Patches renamed:
  0033-Switch-order-of-libraries-for-mpath.patch
  - > 0032-Switch-order-of-libraries-for-mpath.patch
  0034-i386-kvm-MSR_IA32_SPEC_CTRL-and-MSR.patch
  - > 0033-i386-kvm-MSR_IA32_SPEC_CTRL-and-MSR.patch
  * Patches added:
  0034-qapi-use-items-values-intead-of-ite.patch
  0035-qapi-Use-OrderedDict-from-standard-.patch
  0036-qapi-adapt-to-moved-location-of-Str.patch
  0037-qapi-Adapt-to-moved-location-of-mak.patch
  0038-qapi-remove-q-arg-to-diff-when-comp.patch
  0039-qapi-ensure-stable-sort-ordering-wh.patch
  0040-qapi-force-a-UTF-8-locale-for-runni.patch
  0041-scripts-ensure-signrom-treats-data-.patch
  0042-configure-allow-use-of-python-3.patch
  0043-input-add-missing-JIS-keys-to-virti.patch
  0044-Make-installed-scripts-explicitly-p.patch
* Thu Jan  4 2018 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
  * Patches added:
  0034-i386-kvm-MSR_IA32_SPEC_CTRL-and-MSR.patch
* Wed Dec 13 2017 brogers@suse.com
- Update to v2.11.0: See http://wiki.qemu.org/ChangeLog/2.11
  Some noteworthy changes:
  misc TCG and linux user improvements
  * Drop very old compatability provisions
  * Patches dropped (upstream):
  0013-console-add-question-mark-escape-op.patch
  0020-configure-Fix-detection-of-seccomp-.patch
  0034-target-i386-cpu-Add-new-EPYC-CPU-mo.patch
  0035-chardev-baum-fix-baum-that-releases.patch
  0036-io-fix-temp-directory-used-by-test-.patch
  0037-io-fix-check-for-handshake-completi.patch
  0038-crypto-fix-test-cert-generation-to-.patch
  0039-vhost-user-disable-the-broken-subpr.patch
  0040-io-monitor-encoutput-buffer-size-fr.patch
  0041-cirrus-fix-oob-access-in-mode4and5-.patch
  0042-9pfs-use-g_malloc0-to-allocate-spac.patch
  * Patches renamed:
  0014-Make-char-muxer-more-robust-wrt-sma.patch
  - > 0013-Make-char-muxer-more-robust-wrt-sma.patch
  0015-linux-user-lseek-explicitly-cast-no.patch
  - > 0014-linux-user-lseek-explicitly-cast-no.patch
  0016-AIO-Reduce-number-of-threads-for-32.patch
  - > 0015-AIO-Reduce-number-of-threads-for-32.patch
  0017-xen_disk-Add-suse-specific-flush-di.patch
  - > 0016-xen_disk-Add-suse-specific-flush-di.patch
  0018-qemu-bridge-helper-reduce-security-.patch
  - > 0017-qemu-bridge-helper-reduce-security-.patch
  0019-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  - > 0018-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  0021-linux-user-properly-test-for-infini.patch
  - > 0019-linux-user-properly-test-for-infini.patch
  0022-roms-Makefile-pass-a-packaging-time.patch
  - > 0020-roms-Makefile-pass-a-packaging-time.patch
  0023-Raise-soft-address-space-limit-to-h.patch
  - > 0021-Raise-soft-address-space-limit-to-h.patch
  0024-increase-x86_64-physical-bits-to-42.patch
  - > 0022-increase-x86_64-physical-bits-to-42.patch
  0025-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  - > 0023-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0026-i8254-Fix-migration-from-SLE11-SP2.patch
  - > 0024-i8254-Fix-migration-from-SLE11-SP2.patch
  0027-acpi_piix4-Fix-migration-from-SLE11.patch
  - > 0025-acpi_piix4-Fix-migration-from-SLE11.patch
  0028-Fix-tigervnc-long-press-issue.patch
  - > 0026-Fix-tigervnc-long-press-issue.patch
  0029-string-input-visitor-Fix-uint64-par.patch
  - > 0027-string-input-visitor-Fix-uint64-par.patch
  0030-test-string-input-visitor-Add-int-t.patch
  - > 0028-test-string-input-visitor-Add-int-t.patch
  0031-test-string-input-visitor-Add-uint6.patch
  - > 0029-test-string-input-visitor-Add-uint6.patch
  0032-tests-Add-QOM-property-unit-tests.patch
  - > 0030-tests-Add-QOM-property-unit-tests.patch
  0033-tests-Add-scsi-disk-test.patch
  - > 0031-tests-Add-scsi-disk-test.patch
  0043-scripts-avoid-usr-bin-python-refere.patch
  - > 0032-scripts-avoid-usr-bin-python-refere.patch
  * Patches added:
  0033-Switch-order-of-libraries-for-mpath.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
* Wed Nov 29 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
  * Patches added:
  0043-scripts-avoid-usr-bin-python-refere.patch
* Thu Oct 19 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
  * Patches added:
  0040-io-monitor-encoutput-buffer-size-fr.patch
  0041-cirrus-fix-oob-access-in-mode4and5-.patch
  0042-9pfs-use-g_malloc0-to-allocate-spac.patch
* Tue Oct  3 2017 brogers@suse.com
- Update to v2.10.1 a stable, bug-fix-only release
  * Patches dropped (upstream):
  0034-slirp-fix-clearing-ifq_so-from-pend.patch
  0035-s390-ccw-Fix-alignment-for-CCW1.patch
  0038-s390x-ais-for-2.10-stable-disable-a.patch
  0039-s390x-cpumodel-remove-ais-from-z14-.patch
  * Patches renamed:
  0036-target-i386-cpu-Add-new-EPYC-CPU-mo.patch
  - > 0034-target-i386-cpu-Add-new-EPYC-CPU-mo.patch
  0037-chardev-baum-fix-baum-that-releases.patch
  - > 0035-chardev-baum-fix-baum-that-releases.patch
  0040-io-fix-temp-directory-used-by-test-.patch
  - > 0036-io-fix-temp-directory-used-by-test-.patch
  0041-io-fix-check-for-handshake-completi.patch
  - > 0037-io-fix-check-for-handshake-completi.patch
  0042-crypto-fix-test-cert-generation-to-.patch
  - > 0038-crypto-fix-test-cert-generation-to-.patch
  0043-vhost-user-disable-the-broken-subpr.patch
  - > 0039-vhost-user-disable-the-broken-subpr.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
* Mon Oct  2 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
  * Patches added:
  0040-io-fix-temp-directory-used-by-test-.patch
  0041-io-fix-check-for-handshake-completi.patch
  0042-crypto-fix-test-cert-generation-to-.patch
  0043-vhost-user-disable-the-broken-subpr.patch
* Thu Sep 28 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
  * Patches added:
  0038-s390x-ais-for-2.10-stable-disable-a.patch
  0039-s390x-cpumodel-remove-ais-from-z14-.patch
* Thu Sep 28 2017 lyan@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
  * Patches added:
  0037-chardev-baum-fix-baum-that-releases.patch
* Thu Sep 21 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
  * Patches added:
  0036-target-i386-cpu-Add-new-EPYC-CPU-mo.patch
* Thu Aug 31 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
  * Patches added:
  0034-slirp-fix-clearing-ifq_so-from-pend.patch
  0035-s390-ccw-Fix-alignment-for-CCW1.patch
* Wed Aug 30 2017 brogers@suse.com
- Update to v2.10.0: See http://wiki.qemu.org/ChangeLog/2.10
- Dropped miscellaneous patches deemed unused and not worth carrying
  * Patches renamed:
  0006-qemu-cvs-gettimeofday.patch -> 0003-qemu-cvs-gettimeofday.patch
  0007-qemu-cvs-ioctl_debug.patch -> 0004-qemu-cvs-ioctl_debug.patch
  0008-qemu-cvs-ioctl_nodirection.patch -> 0005-qemu-cvs-ioctl_nodirection.patch
  0009-linux-user-add-binfmt-wrapper-for-a.patch -> 0006-linux-user-add-binfmt-wrapper-for-a.patch
  0010-PPC-KVM-Disable-mmu-notifier-check.patch -> 0007-PPC-KVM-Disable-mmu-notifier-check.patch
  0011-linux-user-fix-segfault-deadlock.patch -> 0008-linux-user-fix-segfault-deadlock.patch
  0012-linux-user-binfmt-support-host-bina.patch -> 0009-linux-user-binfmt-support-host-bina.patch
  0013-linux-user-Fake-proc-cpuinfo.patch -> 0010-linux-user-Fake-proc-cpuinfo.patch
  0014-linux-user-XXX-disable-fiemap.patch -> 0011-linux-user-XXX-disable-fiemap.patch
  0017-linux-user-use-target_ulong.patch -> 0012-linux-user-use-target_ulong.patch
  0021-console-add-question-mark-escape-op.patch -> 0013-console-add-question-mark-escape-op.patch
  0022-Make-char-muxer-more-robust-wrt-sma.patch -> 0014-Make-char-muxer-more-robust-wrt-sma.patch
  0023-linux-user-lseek-explicitly-cast-no.patch -> 0015-linux-user-lseek-explicitly-cast-no.patch
  0025-AIO-Reduce-number-of-threads-for-32.patch -> 0016-AIO-Reduce-number-of-threads-for-32.patch
  0027-xen_disk-Add-suse-specific-flush-di.patch -> 0017-xen_disk-Add-suse-specific-flush-di.patch
  0028-qemu-bridge-helper-reduce-security-.patch -> 0018-qemu-bridge-helper-reduce-security-.patch
  0029-qemu-binfmt-conf-use-qemu-ARCH-binf.patch -> 0019-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  0030-configure-Fix-detection-of-seccomp-.patch -> 0020-configure-Fix-detection-of-seccomp-.patch
  0031-linux-user-properly-test-for-infini.patch -> 0021-linux-user-properly-test-for-infini.patch
  0033-roms-Makefile-pass-a-packaging-time.patch -> 0022-roms-Makefile-pass-a-packaging-time.patch
  0034-Raise-soft-address-space-limit-to-h.patch -> 0023-Raise-soft-address-space-limit-to-h.patch
  0035-increase-x86_64-physical-bits-to-42.patch -> 0024-increase-x86_64-physical-bits-to-42.patch
  0036-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch -> 0025-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0037-i8254-Fix-migration-from-SLE11-SP2.patch -> 0026-i8254-Fix-migration-from-SLE11-SP2.patch
  0038-acpi_piix4-Fix-migration-from-SLE11.patch -> 0027-acpi_piix4-Fix-migration-from-SLE11.patch
  0039-Fix-tigervnc-long-press-issue.patch -> 0028-Fix-tigervnc-long-press-issue.patch
  0041-string-input-visitor-Fix-uint64-par.patch -> 0029-string-input-visitor-Fix-uint64-par.patch
  0042-test-string-input-visitor-Add-int-t.patch -> 0030-test-string-input-visitor-Add-int-t.patch
  0043-test-string-input-visitor-Add-uint6.patch -> 0031-test-string-input-visitor-Add-uint6.patch
  0044-tests-Add-QOM-property-unit-tests.patch -> 0032-tests-Add-QOM-property-unit-tests.patch
  0045-tests-Add-scsi-disk-test.patch -> 0033-tests-Add-scsi-disk-test.patch
  * Patches dropped (upstream unless otherwise noted):
  0003-qemu-cvs-alsa_bitfield.patch (deemed not needed)
  0004-qemu-cvs-alsa_ioctl.patch (deemed not needed)
  0005-qemu-cvs-alsa_mmap.patch (deemed not needed)
  0015-slirp-nooutgoing.patch (bsc#1055125)
  0016-vnc-password-file-and-incoming-conn.patch (bsc#1055127)
  0018-block-Add-support-for-DictZip-enabl.patch (bsc#1046783)
  0019-block-Add-tar-container-format.patch (bsc#1046783)
  0020-Legacy-Patch-kvm-qemu-preXX-dictzip.patch (bsc#1046783)
  0024-configure-Enable-PIE-for-ppc-and-pp.patch (obsolete)
  0026-dictzip-Fix-on-big-endian-systems.patch (bsc#1046783)
  0032-linux-user-remove-all-traces-of-qem.patch
  0040-fix-xen-hvm-direct-kernel-boot.patch (bsc#970791)
  0046-RFC-update-Linux-headers-from-irqs-.patch
  0047-ARM-KVM-Enable-in-kernel-timers-wit.patch
  0048-input-Add-trace-event-for-empty-key.patch
  0049-ACPI-don-t-call-acpi_pcihp_device_p.patch
  0050-i386-Allow-cpuid-bit-override.patch (was for testing only)
  0051-input-limit-kbd-queue-depth.patch
  0052-audio-release-capture-buffers.patch
  0053-scsi-avoid-an-off-by-one-error-in-m.patch
  0054-vmw_pvscsi-check-message-ring-page-.patch
  0055-9pfs-local-forbid-client-access-to-.patch
  0056-jazz_led-fix-bad-snprintf.patch
  0057-slirp-smb-Replace-constant-strings-.patch
  0058-altera_timer-fix-incorrect-memset.patch
  0059-Hacks-for-building-on-gcc-7-Fedora-.patch
  0060-9pfs-local-fix-unlink-of-alien-file.patch
  0061-megasas-do-not-read-DCMD-opcode-mor.patch
  0062-megasas-always-store-SCSIRequest-in.patch
  0063-nbd-Fully-initialize-client-in-case.patch
  0064-9pfs-local-remove-use-correct-path-.patch
  0065-hid-Reset-kbd-modifiers-on-reset.patch
  0066-input-Decrement-queue-count-on-kbd-.patch
  0067-xhci-only-update-dequeue-ptr-on-com.patch
  0068-vnc-Set-default-kbd-delay-to-10ms.patch
  0069-qemu-nbd-Ignore-SIGPIPE.patch
  0070-usb-redir-fix-stack-overflow-in-usb.patch
  0072-slirp-check-len-against-dhcp-option.patch
  0071-exec-use-qemu_ram_ptr_length-to-acc.patch
  0073-xen-mapcache-store-dma-information-.patch
  0074-exec-Add-lock-parameter-to-qemu_ram.patch
  0075-Replace-struct-ucontext-with-uconte.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.10
* Thu Aug 24 2017 brogers@suse.com
- Fix package build failure as of glibc v2.26 update in Factory
  (boo#1055587)
  0075-Replace-struct-ucontext-with-uconte.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Tue Aug 15 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0073-xen-mapcache-store-dma-information-.patch
  0074-exec-Add-lock-parameter-to-qemu_ram.patch
* Tue Jul 25 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0069-qemu-nbd-Ignore-SIGPIPE.patch
  0070-usb-redir-fix-stack-overflow-in-usb.patch
  0071-exec-use-qemu_ram_ptr_length-to-acc.patch
  0072-slirp-check-len-against-dhcp-option.patch
* Tue Jul 18 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0067-xhci-only-update-dequeue-ptr-on-com.patch
  0068-vnc-Set-default-kbd-delay-to-10ms.patch
* Mon Jun 26 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0065-hid-Reset-kbd-modifiers-on-reset.patch
  0066-input-Decrement-queue-count-on-kbd-.patch
* Tue Jun 20 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0060-9pfs-local-fix-unlink-of-alien-file.patch
  0061-megasas-do-not-read-DCMD-opcode-mor.patch
  0062-megasas-always-store-SCSIRequest-in.patch
  0063-nbd-Fully-initialize-client-in-case.patch
  0064-9pfs-local-remove-use-correct-path-.patch
- Add --no-renames to the git format-patch command in the git
  workflow script for better patch compatibility
* Mon May 22 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0056-jazz_led-fix-bad-snprintf.patch
  0057-slirp-smb-Replace-constant-strings-.patch
  0058-altera_timer-fix-incorrect-memset.patch
  0059-Hacks-for-building-on-gcc-7-Fedora-.patch
* Mon May 22 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0055-9pfs-local-forbid-client-access-to-.patch
* Thu May 11 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0051-input-limit-kbd-queue-depth.patch
  0052-audio-release-capture-buffers.patch
  0053-scsi-avoid-an-off-by-one-error-in-m.patch
  0054-vmw_pvscsi-check-message-ring-page-.patch
* Thu Apr 27 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0049-ACPI-don-t-call-acpi_pcihp_device_p.patch
  0050-i386-Allow-cpuid-bit-override.patch
* Thu Apr 20 2017 brogers@suse.com
- Updated to v2.9.0: See http://wiki.qemu-project.org/ChangeLog/2.9
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Tue Apr 18 2017 brogers@suse.com
- Updated to v2.9.0-rc5: See http://wiki.qemu-project.org/ChangeLog/2.9
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Wed Apr 12 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0048-input-Add-trace-event-for-empty-key.patch
* Tue Apr 11 2017 brogers@suse.com
- Updated to v2.9.0-rc4: See http://wiki.qemu-project.org/ChangeLog/2.9
  * Patches renamed:
  0041-ARM-KVM-Enable-in-kernel-timers-wit.patch -> 0047-ARM-KVM-Enable-in-kernel-timers-wit.patch
  0042-string-input-visitor-Fix-uint64-par.patch -> 0041-string-input-visitor-Fix-uint64-par.patch
  0043-test-string-input-visitor-Add-int-t.patch -> 0042-test-string-input-visitor-Add-int-t.patch
  0044-test-string-input-visitor-Add-uint6.patch -> 0043-test-string-input-visitor-Add-uint6.patch
  0045-tests-Add-QOM-property-unit-tests.patch -> 0044-tests-Add-QOM-property-unit-tests.patch
  0046-tests-Add-scsi-disk-test.patch -> 0045-tests-Add-scsi-disk-test.patch
  * Patches added:
  0046-RFC-update-Linux-headers-from-irqs-.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Wed Apr  5 2017 brogers@suse.com
- Updated to v2.9.0-rc3: See http://wiki.qemu-project.org/ChangeLog/2.9
  * Patches dropped:
  0047-hw-intc-arm_gicv3_kvm-Check-KVM_DEV.patch
  0048-i386-Replace-uint32_t-with-FeatureW.patch
  0049-i386-Don-t-override-cpu-options-on-.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
- Made miscellaneous spec file refinements
* Thu Mar 30 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
  * Patches added:
  0048-i386-Replace-uint32_t-with-FeatureW.patch
  0049-i386-Don-t-override-cpu-options-on-.patch
* Tue Mar 28 2017 brogers@suse.com
- Updated to v2.9.0-rc2: See http://wiki.qemu-project.org/ChangeLog/2.9
  * Patches dropped:
  0047-linux-user-exclude-cpu-model-code-w.patch
  * Patches added:
  0047-hw-intc-arm_gicv3_kvm-Check-KVM_DEV.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Tue Mar 21 2017 brogers@suse.com
- Updated to v2.9.0-rc1: See http://wiki.qemu-project.org/ChangeLog/2.9
  * Patches dropped (no longer needed based on what we now build for):
  0024-virtfs-proxy-helper-Provide-__u64-f.patch
  * Patches dropped (included in upstream source archive):
  0034-dma-rc4030-limit-interval-timer-rel.patch
  * Patches renamed:
  0025-configure-Enable-PIE-for-ppc-and-pp.patch -> 0024-configure-Enable-PIE-for-ppc-and-pp.patch
  0026-AIO-Reduce-number-of-threads-for-32.patch -> 0025-AIO-Reduce-number-of-threads-for-32.patch
  0027-dictzip-Fix-on-big-endian-systems.patch -> 0026-dictzip-Fix-on-big-endian-systems.patch
  0028-xen_disk-Add-suse-specific-flush-di.patch -> 0027-xen_disk-Add-suse-specific-flush-di.patch
  0029-qemu-bridge-helper-reduce-security-.patch -> 0028-qemu-bridge-helper-reduce-security-.patch
  0030-qemu-binfmt-conf-use-qemu-ARCH-binf.patch -> 0029-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  0031-configure-Fix-detection-of-seccomp-.patch -> 0030-configure-Fix-detection-of-seccomp-.patch
  0032-linux-user-properly-test-for-infini.patch -> 0031-linux-user-properly-test-for-infini.patch
  0033-linux-user-remove-all-traces-of-qem.patch -> 0032-linux-user-remove-all-traces-of-qem.patch
  0035-roms-Makefile-pass-a-packaging-time.patch -> 0033-roms-Makefile-pass-a-packaging-time.patch
  0036-Raise-soft-address-space-limit-to-h.patch -> 0034-Raise-soft-address-space-limit-to-h.patch
  0037-increase-x86_64-physical-bits-to-42.patch -> 0035-increase-x86_64-physical-bits-to-42.patch
  0038-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch -> 0036-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0039-i8254-Fix-migration-from-SLE11-SP2.patch -> 0037-i8254-Fix-migration-from-SLE11-SP2.patch
  0040-acpi_piix4-Fix-migration-from-SLE11.patch -> 0038-acpi_piix4-Fix-migration-from-SLE11.patch
  0041-Fix-tigervnc-long-press-issue.patch -> 0039-Fix-tigervnc-long-press-issue.patch
  0042-fix-xen-hvm-direct-kernel-boot.patch -> 0040-fix-xen-hvm-direct-kernel-boot.patch
  0043-ARM-KVM-Enable-in-kernel-timers-wit.patch -> 0041-ARM-KVM-Enable-in-kernel-timers-wit.patch
  0044-string-input-visitor-Fix-uint64-par.patch -> 0042-string-input-visitor-Fix-uint64-par.patch
  0045-test-string-input-visitor-Add-int-t.patch -> 0043-test-string-input-visitor-Add-int-t.patch
  0046-test-string-input-visitor-Add-uint6.patch -> 0044-test-string-input-visitor-Add-uint6.patch
  0047-tests-Add-QOM-property-unit-tests.patch -> 0045-tests-Add-QOM-property-unit-tests.patch
  0048-tests-Add-scsi-disk-test.patch -> 0046-tests-Add-scsi-disk-test.patch
  0049-linux-user-exclude-cpu-model-code-w.patch -> 0047-linux-user-exclude-cpu-model-code-w.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Mon Mar 20 2017 brogers@suse.com
- Updated to v2.9.0-rc0: See http://wiki.qemu-project.org/ChangeLog/2.9
  * Patches dropped (included in upstream source archive):
  0035-net-imx-limit-buffer-descriptor-cou.patch
  0045-virtio-gpu-call-cleanup-mapping-fun.patch
  0051-virtio-gpu-fix-information-leak-in-.patch
  0052-display-cirrus-ignore-source-pitch-.patch
  0053-s390x-kvm-fix-small-race-reboot-vs..patch
  0054-target-s390x-use-qemu-cpu-model-in-.patch
  0056-tests-check-path-to-avoid-a-failing.patch
  0057-display-virtio-gpu-3d-check-virgl-c.patch
  0058-watchdog-6300esb-add-exit-function.patch
  0059-virtio-gpu-3d-fix-memory-leak-in-re.patch
  0060-virtio-gpu-fix-memory-leak-in-resou.patch
  0061-virtio-fix-vq-inuse-recalc-after-mi.patch
  0062-audio-es1370-add-exit-function.patch
  0063-audio-ac97-add-exit-function.patch
  0064-megasas-fix-guest-triggered-memory-.patch
  0065-cirrus-handle-negative-pitch-in-cir.patch
  0066-cirrus-fix-blit-address-mask-handli.patch
  0067-cirrus-fix-oob-access-issue-CVE-201.patch
  0068-usb-ccid-check-ccid-apdu-length.patch
  0069-sd-sdhci-check-data-length-during-d.patch
  0070-virtio-gpu-fix-resource-leak-in-vir.patch
  0071-cirrus-fix-patterncopy-checks.patch
  0072-cirrus-add-blit_is_unsafe-call-to-c.patch
  * Patches renamed:
  0036-roms-Makefile-pass-a-packaging-time.patch -> 0035-roms-Makefile-pass-a-packaging-time.patch
  0037-Raise-soft-address-space-limit-to-h.patch -> 0036-Raise-soft-address-space-limit-to-h.patch
  0038-increase-x86_64-physical-bits-to-42.patch -> 0037-increase-x86_64-physical-bits-to-42.patch
  0039-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch -> 0038-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0040-i8254-Fix-migration-from-SLE11-SP2.patch -> 0039-i8254-Fix-migration-from-SLE11-SP2.patch
  0041-acpi_piix4-Fix-migration-from-SLE11.patch -> 0040-acpi_piix4-Fix-migration-from-SLE11.patch
  0042-Fix-tigervnc-long-press-issue.patch -> 0041-Fix-tigervnc-long-press-issue.patch
  0043-fix-xen-hvm-direct-kernel-boot.patch -> 0042-fix-xen-hvm-direct-kernel-boot.patch
  0044-ARM-KVM-Enable-in-kernel-timers-wit.patch -> 0043-ARM-KVM-Enable-in-kernel-timers-wit.patch
  0046-string-input-visitor-Fix-uint64-par.patch -> 0044-string-input-visitor-Fix-uint64-par.patch
  0047-test-string-input-visitor-Add-int-t.patch -> 0045-test-string-input-visitor-Add-int-t.patch
  0048-test-string-input-visitor-Add-uint6.patch -> 0046-test-string-input-visitor-Add-uint6.patch
  0049-tests-Add-QOM-property-unit-tests.patch -> 0047-tests-Add-QOM-property-unit-tests.patch
  0050-tests-Add-scsi-disk-test.patch -> 0048-tests-Add-scsi-disk-test.patch
  0055-linux-user-exclude-cpu-model-code-w.patch -> 0049-linux-user-exclude-cpu-model-code-w.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Wed Mar  1 2017 brogers@suse.com
-  Buildignore for the global gcc-PIE, as this package enables PIE
  on its own and has troubles if all use it. (meissner@suse.com)
* Wed Mar  1 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.8
  * Patches added:
  0057-display-virtio-gpu-3d-check-virgl-c.patch
  0058-watchdog-6300esb-add-exit-function.patch
  0059-virtio-gpu-3d-fix-memory-leak-in-re.patch
  0060-virtio-gpu-fix-memory-leak-in-resou.patch
  0061-virtio-fix-vq-inuse-recalc-after-mi.patch
  0062-audio-es1370-add-exit-function.patch
  0063-audio-ac97-add-exit-function.patch
  0064-megasas-fix-guest-triggered-memory-.patch
  0065-cirrus-handle-negative-pitch-in-cir.patch
  0066-cirrus-fix-blit-address-mask-handli.patch
  0067-cirrus-fix-oob-access-issue-CVE-201.patch
  0068-usb-ccid-check-ccid-apdu-length.patch
  0069-sd-sdhci-check-data-length-during-d.patch
  0070-virtio-gpu-fix-resource-leak-in-vir.patch
  0071-cirrus-fix-patterncopy-checks.patch
  0072-cirrus-add-blit_is_unsafe-call-to-c.patch
* Fri Feb 17 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.8
  * Patches added:
  0056-tests-check-path-to-avoid-a-failing.patch
* Tue Feb 14 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.8
  * Patches added:
  0055-linux-user-exclude-cpu-model-code-w.patch
* Thu Feb  2 2017 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.8
  * Fix s390x linux-user failure since v2.8.0 update
  * Patches added:
  0053-s390x-kvm-fix-small-race-reboot-vs..patch
  0054-target-s390x-use-qemu-cpu-model-in-.patch
* Wed Jan 25 2017 brogers@suse.com
- Merge qemu-linux-user packages from openSUSE and SUSE SLE releases
  together for the v2.8 qemu update. The qemu-linux-user.changes
  file is the openSUSE version with this entry providing CVE, FATE,
  and bugzilla references from the SUSE SLE qemu package to date
  (see below) - (the qemu-linux-user package derives from the same
  sources as qemu, and the vast majority of fixes are targeted only
  towards the qemu package.)
- Updated to v2.8.0: See http://wiki.qemu-project.org/ChangeLog/2.8
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.8
  * Patches dropped (upstream):
  0013-linux-user-lock-tcg.patch
  0014-linux-user-Run-multi-threaded-code-.patch
  0015-linux-user-lock-tb-flushing-too.patch
  0017-linux-user-implement-FS_IOC_GETFLAG.patch
  0018-linux-user-implement-FS_IOC_SETFLAG.patch
  0034-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0039-Fix-tlb_vaddr_to_host-with-CONFIG_U.patch
  0041-vmsvga-correct-bitmap-and-pixmap-si.patch
  0042-scsi-mptconfig-fix-an-assert-expres.patch
  0043-scsi-mptconfig-fix-misuse-of-MPTSAS.patch
  0044-scsi-pvscsi-limit-loop-to-fetch-SG-.patch
  0045-usb-xhci-fix-memory-leak-in-usb_xhc.patch
  0046-scsi-mptsas-use-g_new0-to-allocate-.patch
  0047-scsi-pvscsi-limit-process-IO-loop-t.patch
  0048-virtio-add-check-for-descriptor-s-m.patch
  0049-net-mcf-limit-buffer-descriptor-cou.patch
  0050-usb-ehci-fix-memory-leak-in-ehci_pr.patch
  0051-xhci-limit-the-number-of-link-trbs-.patch
  0052-9pfs-allocate-space-for-guest-origi.patch
  0053-9pfs-fix-memory-leak-in-v9fs_link.patch
  0054-9pfs-fix-potential-host-memory-leak.patch
  0055-9pfs-fix-information-leak-in-xattr-.patch
  0056-9pfs-fix-memory-leak-in-v9fs_xattrc.patch
  0057-9pfs-fix-memory-leak-in-v9fs_write.patch
  0058-char-serial-check-divider-value-aga.patch
  0059-net-pcnet-check-rx-tx-descriptor-ri.patch
  0060-net-eepro100-fix-memory-leak-in-dev.patch
  0061-net-rocker-set-limit-to-DMA-buffer-.patch
  0062-net-vmxnet-initialise-local-tx-desc.patch
  0063-net-rtl8139-limit-processing-of-rin.patch
  0064-audio-intel-hda-check-stream-entry-.patch
  0065-virtio-gpu-fix-memory-leak-in-virti.patch
  0066-9pfs-fix-integer-overflow-issue-in-.patch
  slof_xhci.patch
  * Patches renamed:
  0016-linux-user-Fake-proc-cpuinfo.patch -> 0013-linux-user-Fake-proc-cpuinfo.patch
  0019-linux-user-XXX-disable-fiemap.patch -> 0014-linux-user-XXX-disable-fiemap.patch
  0020-slirp-nooutgoing.patch -> 0015-slirp-nooutgoing.patch
  0021-vnc-password-file-and-incoming-conn.patch -> 0016-vnc-password-file-and-incoming-conn.patch
  0022-linux-user-use-target_ulong.patch -> 0017-linux-user-use-target_ulong.patch
  0023-block-Add-support-for-DictZip-enabl.patch -> 0018-block-Add-support-for-DictZip-enabl.patch
  0024-block-Add-tar-container-format.patch -> 0019-block-Add-tar-container-format.patch
  0025-Legacy-Patch-kvm-qemu-preXX-dictzip.patch -> 0020-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  0026-console-add-question-mark-escape-op.patch -> 0021-console-add-question-mark-escape-op.patch
  0027-Make-char-muxer-more-robust-wrt-sma.patch -> 0022-Make-char-muxer-more-robust-wrt-sma.patch
  0028-linux-user-lseek-explicitly-cast-no.patch -> 0023-linux-user-lseek-explicitly-cast-no.patch
  0029-virtfs-proxy-helper-Provide-__u64-f.patch -> 0024-virtfs-proxy-helper-Provide-__u64-f.patch
  0030-configure-Enable-PIE-for-ppc-and-pp.patch -> 0025-configure-Enable-PIE-for-ppc-and-pp.patch
  0031-AIO-Reduce-number-of-threads-for-32.patch -> 0026-AIO-Reduce-number-of-threads-for-32.patch
  0032-dictzip-Fix-on-big-endian-systems.patch -> 0027-dictzip-Fix-on-big-endian-systems.patch
  0033-xen_disk-Add-suse-specific-flush-di.patch -> 0028-xen_disk-Add-suse-specific-flush-di.patch
  0035-qemu-bridge-helper-reduce-security-.patch -> 0029-qemu-bridge-helper-reduce-security-.patch
  0036-qemu-binfmt-conf-use-qemu-ARCH-binf.patch -> 0030-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  0037-configure-Fix-detection-of-seccomp-.patch -> 0031-configure-Fix-detection-of-seccomp-.patch
  0038-linux-user-properly-test-for-infini.patch -> 0032-linux-user-properly-test-for-infini.patch
  0040-linux-user-remove-all-traces-of-qem.patch -> 0033-linux-user-remove-all-traces-of-qem.patch
  0067-dma-rc4030-limit-interval-timer-rel.patch -> 0034-dma-rc4030-limit-interval-timer-rel.patch
  0068-net-imx-limit-buffer-descriptor-cou.patch -> 0035-net-imx-limit-buffer-descriptor-cou.patch
  0069-roms-Makefile-pass-a-packaging-time.patch -> 0036-roms-Makefile-pass-a-packaging-time.patch
  * Patches added:
  0037-Raise-soft-address-space-limit-to-h.patch
  0038-increase-x86_64-physical-bits-to-42.patch
  0039-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0040-i8254-Fix-migration-from-SLE11-SP2.patch
  0041-acpi_piix4-Fix-migration-from-SLE11.patch
  0042-Fix-tigervnc-long-press-issue.patch
  0043-fix-xen-hvm-direct-kernel-boot.patch
  0044-ARM-KVM-Enable-in-kernel-timers-wit.patch
  0045-virtio-gpu-call-cleanup-mapping-fun.patch
  0046-string-input-visitor-Fix-uint64-par.patch
  0047-test-string-input-visitor-Add-int-t.patch
  0048-test-string-input-visitor-Add-uint6.patch
  0049-tests-Add-QOM-property-unit-tests.patch
  0050-tests-Add-scsi-disk-test.patch
  0051-virtio-gpu-fix-information-leak-in-.patch
  0052-display-cirrus-ignore-source-pitch-.patch
  ipxe-use-gcc6-for-more-compact-code.patch
  * SLE patches dropped (accounted for in above listed changes):
  0002-qemu-0.9.0.cvs-binfmt.patch
  0009-block-vmdk-Support-creation-of-SCSI.patch
  0010-linux-user-add-binfmt-wrapper-for-a.patch
  0011-PPC-KVM-Disable-mmu-notifier-check.patch
  0012-linux-user-fix-segfault-deadlock.patch
  0013-linux-user-binfmt-support-host-bina.patch
  0014-linux-user-Ignore-broken-loop-ioctl.patch
  0015-linux-user-lock-tcg.patch
  0016-linux-user-Run-multi-threaded-code-.patch
  0017-linux-user-lock-tb-flushing-too.patch
  0018-linux-user-Fake-proc-cpuinfo.patch
  0019-linux-user-implement-FS_IOC_GETFLAG.patch
  0020-linux-user-implement-FS_IOC_SETFLAG.patch
  0021-linux-user-XXX-disable-fiemap.patch
  0022-slirp-nooutgoing.patch
  0023-vnc-password-file-and-incoming-conn.patch
  0024-linux-user-add-more-blk-ioctls.patch
  0025-linux-user-use-target_ulong.patch
  0026-block-Add-support-for-DictZip-enabl.patch
  0027-block-Add-tar-container-format.patch
  0028-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  0029-console-add-question-mark-escape-op.patch
  0030-Make-char-muxer-more-robust-wrt-sma.patch
  0031-linux-user-lseek-explicitly-cast-no.patch
  0032-virtfs-proxy-helper-Provide-_u64-f.patch
  0033-configure-Enable-PIE-for-ppc-and-pp.patch
  0034-Raise-soft-address-space-limit-to-h.patch
  0035-increase-x86_64-physical-bits-to-42.patch
  0036-vnc-provide-fake-color-map.patch
  0037-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0038-i8254-Fix-migration-from-SLE11-SP2.patch
  0039-acpi_piix4-Fix-migration-from-SLE11.patch
  0040-qtest-Increase-socket-timeout-to-ac.patch
  0041-dictzip-Fix-on-big-endian-systems.patch
  0043-xen_disk-Add-suse-specific-flush-di.patch
  0044-Split-large-discard-requests-from-b.patch
  0045-fix-xen-hvm-direct-kernel-boot.patch
  0046-xen-introduce-dummy-system-device.patch
  0047-xen-write-information-about-support.patch
  0048-xen-add-pvUSB-backend.patch
  0049-xen-move-xen_sysdev-to-xen_backend..patch
  0050-vnc-add-configurable-keyboard-delay.patch
  0051-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0052-configure-add-echo_version-helper.patch
  0053-configure-support-vte-2.91.patch
  0054-scsi-esp-fix-migration.patch
  0055-hw-arm-virt-mark-the-PCIe-host-cont.patch
  0056-xen-when-removing-a-backend-don-t-r.patch
  0057-xen-drain-submit-queue-in-xen-usb-b.patch
  0058-qcow2-avoid-extra-flushes-in-qcow2.patch
  0059-qemu-bridge-helper-reduce-security-.patch
  0060-xen-use-a-common-function-for-pv-an.patch
  0061-xen_platform-unplug-also-SCSI-disks.patch
  0062-virtio-check-vring-descriptor-buffe.patch
  0063-net-vmxnet3-check-for-device_active.patch
  0064-net-vmxnet-initialise-local-tx-desc.patch
  0065-scsi-pvscsi-avoid-infinite-loop-whi.patch
  0066-ARM-KVM-Enable-in-kernel-timers-wit.patch
  0067-hw-net-Fix-a-heap-overflow-in-xlnx..patch
  0068-vmsvga-correct-bitmap-and-pixmap-si.patch
  0069-usb-xhci-fix-memory-leak-in-usb_xhc.patch
  0070-virtio-add-check-for-descriptor-s-m.patch
  0071-net-mcf-limit-buffer-descriptor-cou.patch
  0072-usb-ehci-fix-memory-leak-in-ehci_pr.patch
  0073-xhci-limit-the-number-of-link-trbs-.patch
  0074-9pfs-allocate-space-for-guest-origi.patch
  0075-9pfs-fix-memory-leak-in-v9fs_link.patch
  0076-9pfs-fix-potential-host-memory-leak.patch
  0077-9pfs-fix-memory-leak-in-v9fs_write.patch
  0078-char-serial-check-divider-value-aga.patch
  0079-net-pcnet-check-rx-tx-descriptor-ri.patch
  0080-net-eepro100-fix-memory-leak-in-dev.patch
  0081-net-rocker-set-limit-to-DMA-buffer-.patch
  0082-net-rtl8139-limit-processing-of-rin.patch
  0083-audio-intel-hda-check-stream-entry-.patch
  0084-virtio-gpu-fix-memory-leak-in-virti.patch
  0085-9pfs-fix-integer-overflow-issue-in-.patch
  0086-dma-rc4030-limit-interval-timer-rel.patch
  0087-net-imx-limit-buffer-descriptor-cou.patch
  0088-target-i386-Implement-CPUID-0xB-Ext.patch
  0089-target-i386-present-virtual-L3-cach.patch
  0090-migration-fix-inability-to-save-VM-.patch
  0091-ui-gtk-Fix-a-runtime-warning-on-vte.patch
  0092-gtk-don-t-leak-the-GtkBorder-with-V.patch
  0093-xen-fix-ioreq-handling.patch
  0094-macio-Use-blk_drain-instead-of-blk_.patch
  0095-rbd-Switch-rbd_start_aio-to-byte-ba.patch
  0096-virtio-blk-Release-s-rq-queue-at-sy.patch
  0097-virtio-blk-Remove-stale-comment-abo.patch
  0098-block-reintroduce-bdrv_flush_all.patch
  0099-qemu-use-bdrv_flush_all-for-vm_stop.patch
  0100-block-backend-remove-blkflush_all.patch
  0101-char-fix-missing-return-in-error-pa.patch
  0102-rbd-shift-byte-count-as-a-64-bit-va.patch
  0103-mirror-use-bdrv_drained_begin-bdrv_.patch
  0104-block-curl-Use-BDRV_SECTOR_SIZE.patch
  0105-block-curl-Fix-return-value-from-cu.patch
  0106-block-curl-Remember-all-sockets.patch
  0107-block-curl-Do-not-wait-for-data-bey.patch
  0108-virtio-allow-per-device-class-legac.patch
  0109-virtio-net-mark-VIRTIO_NET_F_GSO-as.patch
  0110-vhost-adapt-vhost_verify_ring_mappi.patch
  0111-ivshmem-Fix-64-bit-memory-bar-confi.patch
  0112-intel_iommu-fix-incorrect-device-in.patch
  0113-9pfs-fix-information-leak-in-xattr-.patch
  0114-9pfs-fix-memory-leak-in-v9fs_xattrc.patch
  0115-net-mcf-check-receive-buffer-size-r.patch
  0116-virtio-gpu-fix-memory-leak-in-updat.patch
  0117-virtio-gpu-fix-information-leak-in-.patch
  0118-9pfs-adjust-the-order-of-resource-c.patch
  0119-9pfs-add-cleanup-operation-in-FileO.patch
  0120-9pfs-add-cleanup-operation-for-hand.patch
  0121-9pfs-add-cleanup-operation-for-prox.patch
  0122-virtio-gpu-call-cleanup-mapping-fun.patch
  0123-string-input-visitor-Fix-uint64-par.patch
  0124-test-string-input-visitor-Add-int-t.patch
  0125-test-string-input-visitor-Add-uint6.patch
  0126-tests-Add-QOM-property-unit-tests.patch
  0127-tests-Add-scsi-disk-test.patch
  0128-usb-ehci-fix-memory-leak-in-ehci_in.patch
  0129-usbredir-free-vm_change_state_handl.patch
  0130-virtio-gpu-fix-information-leak-in-.patch
  ipxe-ath9k-Fix-buffer-overrun-for-ar9287.patch
  ipxe-ath-Fix-building-with-GCC-6.patch
  ipxe-efi-fix-garbage-bytes-in-device-path.patch
  ipxe-efi-fix-uninitialised-data-in-HII.patch
  ipxe-legacy-Fix-building-with-GCC-6.patch
  ipxe-mucurses-Fix-GCC-6-nonnull-compare-errors.patch
  ipxe-sis190-Fix-building-with-GCC-6.patch
  ipxe-skge-Fix-building-with-GCC-6.patch
  ipxe-util-v5.24-perl-errors-on-redeclare.patch
- SLE CVE, FATE, and bugzilla references not otherwise listed in
  this changelog file. The intent of this list is to indicate that
  the fix or feature continues the line of inheritance in the
  development stream of this package. The list is intended to
  satisfy searches only - refer to the SLE-12-SP2 changelog file
  for additional details.
  * fate#314468 fate#314497 fate#315125 fate#315467 fate#317015
  fate#317741 fate#317763 fate#318349 fate#319660 fate#319979
  fate#321010
  * bnc#812983 bnc#869026 bnc#869746 bnc#874413 bnc#875582 bnc#875870
  bnc#877642 bnc#877645 bnc#878541 bsc#882405 bsc#886378 bnc#893339
  bnc#893892 bnc#895369 bnc#896726 bnc#897654 bnc#905097 bnc#907805
  bnc#908380 bnc#914521 bsc#924018 bsc#929339 bsc#932267 bsc#932770
  bsc#933981 bsc#936537 bsc#937125 bsc#938344 bsc#940929 bsc#942845
  bsc#943446 bsc#944697 bsc#945404 bsc#945987 bsc#945989 bsc#946020
  bsc#947159 bnc#953518 bsc#954864 bsc#956829 bsc#957162 bsc#958491
  bsc#958917 bsc#959005 bsc#959386 bsc#960334 bsc#960708 bsc#960725
  bsc#960835 bsc#961333 bsc#961556 bsc#961691 bsc#962320 bsc#963782
  bsc#964413 bsc#970791 bsc#974141 bsc#978158 bsc#979473 bsc#982365
  bsc#989655 bsc#991466 bsc#994771 bsc#994774 bsc#996441 bsc#997858
  bsc#999212
  bsc#1001151 bsc#1002116 bsc#1005353 boo#1007263 bsc#1007769
  bsc#1008519 bsc#1009109 bsc#1013285 bsc#1013341 bsc#1013764
  bsc#1013767 bsc#1014109 bsc#1014110 bsc#1014111 bsc#1014112
  bsc#1014256 bsc#1014514 bsc#1014702 bsc#1015169 bsc#1016779
  * CVE-2014-0222 CVE-2014-0223 CVE-2014-3461 CVE-2014-3640 CVE-2014-7840
  CVE-2014-8106 CVE-2015-1779 CVE-2015-3209 CVE-2015-4037 CVE-2015-5154
  CVE-2015-5225 CVE-2015-5278 CVE-2015-5279 CVE-2015-5745 CVE-2015-6815
  CVE-2015-6855 CVE-2015-7295 CVE-2015-7512 CVE-2015-7549 CVE-2015-8345
  CVE-2015-8504 CVE-2015-8558 CVE-2015-8567 CVE-2015-8568 CVE-2015-8613
  CVE-2015-8619 CVE-2015-8743 CVE-2015-8744 CVE-2015-8745 CVE-2016-1568
  CVE-2016-1714 CVE-2016-1922 CVE-2016-1981 CVE-2016-2198 CVE-2016-3710
  CVE-2016-6490 CVE-2016-6833 CVE-2016-6888 CVE-2016-7116 CVE-2016-7155
  CVE-2016-7161 CVE-2016-9381 CVE-2016-9776 CVE-2016-9845 CVE-2016-9846
  CVE-2016-9907 CVE-2016-9908 CVE-2016-9911 CVE-2016-9912 CVE-2016-9913
  CVE-2016-9921 CVE-2016-9922
* Sat Nov 19 2016 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.7
  * Patches added:
  0069-roms-Makefile-pass-a-packaging-time.patch
* Thu Nov 10 2016 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.7
  * Patches added:
  0041-vmsvga-correct-bitmap-and-pixmap-si.patch
  0042-scsi-mptconfig-fix-an-assert-expres.patch
  0043-scsi-mptconfig-fix-misuse-of-MPTSAS.patch
  0044-scsi-pvscsi-limit-loop-to-fetch-SG-.patch
  0045-usb-xhci-fix-memory-leak-in-usb_xhc.patch
  0046-scsi-mptsas-use-g_new0-to-allocate-.patch
  0047-scsi-pvscsi-limit-process-IO-loop-t.patch
  0048-virtio-add-check-for-descriptor-s-m.patch
  0049-net-mcf-limit-buffer-descriptor-cou.patch
  0050-usb-ehci-fix-memory-leak-in-ehci_pr.patch
  0051-xhci-limit-the-number-of-link-trbs-.patch
  0052-9pfs-allocate-space-for-guest-origi.patch
  0053-9pfs-fix-memory-leak-in-v9fs_link.patch
  0054-9pfs-fix-potential-host-memory-leak.patch
  0055-9pfs-fix-information-leak-in-xattr-.patch
  0056-9pfs-fix-memory-leak-in-v9fs_xattrc.patch
  0057-9pfs-fix-memory-leak-in-v9fs_write.patch
  0058-char-serial-check-divider-value-aga.patch
  0059-net-pcnet-check-rx-tx-descriptor-ri.patch
  0060-net-eepro100-fix-memory-leak-in-dev.patch
  0061-net-rocker-set-limit-to-DMA-buffer-.patch
  0062-net-vmxnet-initialise-local-tx-desc.patch
  0063-net-rtl8139-limit-processing-of-rin.patch
  0064-audio-intel-hda-check-stream-entry-.patch
  0065-virtio-gpu-fix-memory-leak-in-virti.patch
  0066-9pfs-fix-integer-overflow-issue-in-.patch
  0067-dma-rc4030-limit-interval-timer-rel.patch
  0068-net-imx-limit-buffer-descriptor-cou.patch
* Mon Nov  7 2016 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.7
  * Patch updated:
  0040-linux-user-skip-0-flag-from-proc-se.patch -> 0040-linux-user-remove-all-traces-of-qem.patch
* Tue Sep 27 2016 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.7
  * Fix issue with diffutils under qemu-ARCH-binfmt (schwab)
  0040-linux-user-skip-0-flag-from-proc-se.patch
* Thu Sep 22 2016 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.7
  * Fix ppc test failure
  0039-Fix-tlb_vaddr_to_host-with-CONFIG_U.patch
* Wed Sep 21 2016 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.7
  * Patches dropped:
  0034-build-link-with-libatomic-on-powerp.patch
  * Patches renamed:
  0035-xen-SUSE-xenlinux-unplug-for-emulat.patch -> 0034-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0036-qemu-bridge-helper-reduce-security-.patch -> 0035-qemu-bridge-helper-reduce-security-.patch
  0037-qemu-binfmt-conf-use-qemu-ARCH-binf.patch -> 0036-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  0038-configure-Fix-detection-of-seccomp-.patch -> 0037-configure-Fix-detection-of-seccomp-.patch
  0039-linux-user-properly-test-for-infini.patch -> 0038-linux-user-properly-test-for-infini.patch
* Sat Sep 10 2016 afaerber@suse.de
- Updated to v2.7.0: See http://wiki.qemu-project.org/ChangeLog/2.7
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.7
- Properly test for infinite timeout in poll (schwab)
  0039-linux-user-properly-test-for-infini.patch
* Wed Aug 31 2016 afaerber@suse.de
- Update to v2.7.0-rc5: See http://wiki.qemu-project.org/ChangeLog/2.7
* Tue Aug 23 2016 afaerber@suse.de
- Updated to v2.7.0-rc2: See http://wiki.qemu-project.org/ChangeLog/2.7
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.7
  * Patches dropped:
  0002-qemu-0.9.0.cvs-binfmt.patch (script rewritten upstream)
  0009-block-vmdk-Support-creation-of-SCSI.patch (deprecated)
  0014-linux-user-Ignore-broken-loop-ioctl.patch (implemented upstream)
  0024-linux-user-add-more-blk-ioctls.patch (more implemented upstream)
  0034-qtest-Increase-socket-timeout.patch (increased further upstream)
  0036-configure-Enable-libseccomp-for-ppc.patch (enabled upstream)
  0038-block-split-large-discard-requests-.patch
  0041-xen-introduce-dummy-system-device.patch
  0042-xen-write-information-about-support.patch
  0043-xen-add-pvUSB-backend.patch
  0044-xen-move-xen_sysdev-to-xen_backend..patch
  0045-vnc-add-configurable-keyboard-delay.patch
  0046-configure-add-echo_version-helper.patch
  0047-configure-support-vte-2.91.patch
  0048-hw-arm-virt-mark-the-PCIe-host-cont.patch
  0050-scsi-esp-fix-migration.patch
  0051-xen-when-removing-a-backend-don-t-r.patch
  0052-xen-drain-submit-queue-in-xen-usb-b.patch
  0053-qcow2-avoid-extra-flushes-in-qcow2.patch
  0055-xen-use-a-common-function-for-pv-an.patch
  * Patches renamed:
  0010-linux-user-add-binfmt-wrapper-for-a.patch -> 0009-linux-user-add-binfmt-wrapper-for-a.patch
  0011-PPC-KVM-Disable-mmu-notifier-check.patch  -> 0010-PPC-KVM-Disable-mmu-notifier-check.patch
  0012-linux-user-fix-segfault-deadlock.patch    -> 0011-linux-user-fix-segfault-deadlock.patch
  0013-linux-user-binfmt-support-host-bina.patch -> 0012-linux-user-binfmt-support-host-bina.patch
  0015-linux-user-lock-tcg.patch                 -> 0013-linux-user-lock-tcg.patch
  0016-linux-user-Run-multi-threaded-code-.patch -> 0014-linux-user-Run-multi-threaded-code-.patch
  0017-linux-user-lock-tb-flushing-too.patch     -> 0015-linux-user-lock-tb-flushing-too.patch
  0018-linux-user-Fake-proc-cpuinfo.patch        -> 0016-linux-user-Fake-proc-cpuinfo.patch
  0019-linux-user-implement-FS_IOC_GETFLAG.patch -> 0017-linux-user-implement-FS_IOC_GETFLAG.patch
  0020-linux-user-implement-FS_IOC_SETFLAG.patch -> 0018-linux-user-implement-FS_IOC_SETFLAG.patch
  0021-linux-user-XXX-disable-fiemap.patch       -> 0019-linux-user-XXX-disable-fiemap.patch
  0022-slirp-nooutgoing.patch                    -> 0020-slirp-nooutgoing.patch
  0023-vnc-password-file-and-incoming-conn.patch -> 0021-vnc-password-file-and-incoming-conn.patch
  0025-linux-user-use-target_ulong.patch         -> 0022-linux-user-use-target_ulong.patch
  0026-block-Add-support-for-DictZip-enabl.patch -> 0023-block-Add-support-for-DictZip-enabl.patch
  0027-block-Add-tar-container-format.patch      -> 0024-block-Add-tar-container-format.patch
  0028-Legacy-Patch-kvm-qemu-preXX-dictzip.patch -> 0025-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  0029-console-add-question-mark-escape-op.patch -> 0026-console-add-question-mark-escape-op.patch
  0030-Make-char-muxer-more-robust-wrt-sma.patch -> 0027-Make-char-muxer-more-robust-wrt-sma.patch
  0031-linux-user-lseek-explicitly-cast-no.patch -> 0028-linux-user-lseek-explicitly-cast-no.patch
  0032-virtfs-proxy-helper-Provide-__u64-f.patch -> 0029-virtfs-proxy-helper-Provide-__u64-f.patch
  0033-configure-Enable-PIE-for-ppc-and-pp.patch -> 0030-configure-Enable-PIE-for-ppc-and-pp.patch
  0035-AIO-Reduce-number-of-threads-for-32.patch -> 0031-AIO-Reduce-number-of-threads-for-32.patch
  0037-dictzip-Fix-on-big-endian-systems.patch   -> 0032-dictzip-Fix-on-big-endian-systems.patch
  0039-xen_disk-Add-suse-specific-flush-di.patch -> 0033-xen_disk-Add-suse-specific-flush-di.patch
  0040-build-link-with-libatomic-on-powerp.patch -> 0034-build-link-with-libatomic-on-powerp.patch
  0049-xen-SUSE-xenlinux-unplug-for-emulat.patch -> 0035-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0054-qemu-bridge-helper-reduce-security-.patch -> 0036-qemu-bridge-helper-reduce-security-.patch
  * Patches added:
  0002-qemu-binfmt-conf-Modify-default-pat.patch
  * Drop renamed trace-events-all file
  * Use qemu-ARCH-binfmt again with the new qemu-binfmt-conf.sh (schwab)
  0037-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
  * Patches added:
  0038-configure-Fix-detection-of-seccomp-.patch
* Wed Aug 17 2016 brogers@suse.com
- Update to v2.6.1 a stable, bug-fix-only release (fate#316228)
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches dropped (upstreamed):
  0041-net-mipsnet-check-packet-length-aga.patch
  0042-i386-kvmvapic-initialise-imm32-vari.patch
  0043-esp-check-command-buffer-length-bef.patch
  0044-esp-check-dma-length-before-reading.patch
  0045-scsi-pvscsi-check-command-descripto.patch
  0046-scsi-mptsas-infinite-loop-while-fet.patch
  0047-vga-add-sr_vbe-register-set.patch
  0048-scsi-megasas-use-appropriate-proper.patch
  0049-scsi-megasas-check-read_queue_head-.patch
  0050-scsi-megasas-null-terminate-bios-ve.patch
  0051-vmsvga-move-fifo-sanity-checks-to-v.patch
  0052-vmsvga-don-t-process-more-than-1024.patch
  0053-block-iscsi-avoid-potential-overflo.patch
  0054-scsi-esp-check-TI-buffer-index-befo.patch
  0060-scsi-megasas-initialise-local-confi.patch
  0065-scsi-esp-check-buffer-length-before.patch
  0066-scsi-esp-respect-FIFO-invariant-aft.patch
  0067-pci-assign-Move-Invalid-ROM-error-m.patch
  0068-Xen-PCI-passthrough-fix-passthrough.patch
  0069-scsi-esp-make-cmdbuf-big-enough-for.patch
  0071-virtio-error-out-if-guest-exceeds-v.patch
  * Patches renamed:
  0055-xen-introduce-dummy-system-device.patch
  - > 0041-xen-introduce-dummy-system-device.patch
  0056-xen-write-information-about-support.patch
  - > 0042-xen-write-information-about-support.patch
  0057-xen-add-pvUSB-backend.patch
  - > 0043-xen-add-pvUSB-backend.patch
  0058-xen-move-xen_sysdev-to-xen_backend..patch
  - > 0044-xen-move-xen_sysdev-to-xen_backend..patch
  0059-vnc-add-configurable-keyboard-delay.patch
  - > 0045-vnc-add-configurable-keyboard-delay.patch
  0061-configure-add-echo_version-helper.patch
  - > 0046-configure-add-echo_version-helper.patch
  0062-configure-support-vte-2.91.patch
  - > 0047-configure-support-vte-2.91.patch
  0063-hw-arm-virt-mark-the-PCIe-host-cont.patch
  - > 0048-hw-arm-virt-mark-the-PCIe-host-cont.patch
  0064-xen-SUSE-xenlinux-unplug-for-emulat.patch
  - > 0049-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0070-scsi-esp-fix-migration.patch
  - > 0050-scsi-esp-fix-migration.patch
  0072-xen-when-removing-a-backend-don-t-r.patch
  - > 0051-xen-when-removing-a-backend-don-t-r.patch
  0073-xen-drain-submit-queue-in-xen-usb-b.patch
  - > 0052-xen-drain-submit-queue-in-xen-usb-b.patch
  0074-qcow2-avoid-extra-flushes-in-qcow2.patch
  - > 0053-qcow2-avoid-extra-flushes-in-qcow2.patch
  0075-qemu-bridge-helper-reduce-security-.patch
  - > 0054-qemu-bridge-helper-reduce-security-.patch
  0076-xen-use-a-common-function-for-pv-an.patch
  - > 0055-xen-use-a-common-function-for-pv-an.patch
* Wed Aug  3 2016 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches dropped:
  0058-usb-Fix-conditions-that-xen-usb.c-i.patch
  * Patches added:
  0058-xen-move-xen_sysdev-to-xen_backend..patch
* Wed Aug  3 2016 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches added:
  0064-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0065-scsi-esp-check-buffer-length-before.patch
  0066-scsi-esp-respect-FIFO-invariant-aft.patch
  0067-pci-assign-Move-Invalid-ROM-error-m.patch
  0068-Xen-PCI-passthrough-fix-passthrough.patch
  0069-scsi-esp-make-cmdbuf-big-enough-for.patch
  0070-scsi-esp-fix-migration.patch
  0071-virtio-error-out-if-guest-exceeds-v.patch
  0072-xen-when-removing-a-backend-don-t-r.patch
  0073-xen-drain-submit-queue-in-xen-usb-b.patch
  0074-qcow2-avoid-extra-flushes-in-qcow2.patch
  0075-qemu-bridge-helper-reduce-security-.patch
  0076-xen-use-a-common-function-for-pv-an.patch
* Thu Jul 28 2016 agraf@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches added:
  0063-hw-arm-virt-mark-the-PCIe-host-cont.patch
* Thu Jul 14 2016 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches added:
  0061-configure-add-echo_version-helper.patch
  0062-configure-support-vte-2.91.patch
* Thu Jul  7 2016 agraf@suse.com
- Remove deprecated patch "work-around-SA_RESTART-race" (boo#982208)
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches dropped:
  0002-XXX-work-around-SA_RESTART-race-wit.patch
  0003-qemu-0.9.0.cvs-binfmt.patch
  0004-qemu-cvs-alsa_bitfield.patch
  0005-qemu-cvs-alsa_ioctl.patch
  0006-qemu-cvs-alsa_mmap.patch
  0007-qemu-cvs-gettimeofday.patch
  0008-qemu-cvs-ioctl_debug.patch
  0009-qemu-cvs-ioctl_nodirection.patch
  0010-block-vmdk-Support-creation-of-SCSI.patch
  0011-linux-user-add-binfmt-wrapper-for-a.patch
  0012-PPC-KVM-Disable-mmu-notifier-check.patch
  0013-linux-user-fix-segfault-deadlock.patch
  0014-linux-user-binfmt-support-host-bina.patch
  0015-linux-user-Ignore-broken-loop-ioctl.patch
  0016-linux-user-lock-tcg.patch
  0017-linux-user-Run-multi-threaded-code-.patch
  0018-linux-user-lock-tb-flushing-too.patch
  0019-linux-user-Fake-proc-cpuinfo.patch
  0020-linux-user-implement-FS_IOC_GETFLAG.patch
  0021-linux-user-implement-FS_IOC_SETFLAG.patch
  0022-linux-user-XXX-disable-fiemap.patch
  0023-slirp-nooutgoing.patch
  0024-vnc-password-file-and-incoming-conn.patch
  0025-linux-user-add-more-blk-ioctls.patch
  0026-linux-user-use-target_ulong.patch
  0027-block-Add-support-for-DictZip-enabl.patch
  0028-block-Add-tar-container-format.patch
  0029-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  0030-console-add-question-mark-escape-op.patch
  0031-Make-char-muxer-more-robust-wrt-sma.patch
  0032-linux-user-lseek-explicitly-cast-no.patch
  0033-virtfs-proxy-helper-Provide-__u64-f.patch
  0034-configure-Enable-PIE-for-ppc-and-pp.patch
  0035-qtest-Increase-socket-timeout.patch
  0036-AIO-Reduce-number-of-threads-for-32.patch
  0037-configure-Enable-libseccomp-for-ppc.patch
  0038-dictzip-Fix-on-big-endian-systems.patch
  0039-block-split-large-discard-requests-.patch
  0040-xen_disk-Add-suse-specific-flush-di.patch
  0041-build-link-with-libatomic-on-powerp.patch
  0042-net-mipsnet-check-packet-length-aga.patch
  0043-i386-kvmvapic-initialise-imm32-vari.patch
  0044-esp-check-command-buffer-length-bef.patch
  0045-esp-check-dma-length-before-reading.patch
  0046-scsi-pvscsi-check-command-descripto.patch
  0047-scsi-mptsas-infinite-loop-while-fet.patch
  0048-vga-add-sr_vbe-register-set.patch
  0049-scsi-megasas-use-appropriate-proper.patch
  0050-scsi-megasas-check-read_queue_head-.patch
  0051-scsi-megasas-null-terminate-bios-ve.patch
  0052-vmsvga-move-fifo-sanity-checks-to-v.patch
  0053-vmsvga-don-t-process-more-than-1024.patch
  0054-block-iscsi-avoid-potential-overflo.patch
  0055-scsi-esp-check-TI-buffer-index-befo.patch
  0056-xen-introduce-dummy-system-device.patch
  0057-xen-write-information-about-support.patch
  0058-xen-add-pvUSB-backend.patch
  0059-usb-Fix-conditions-that-xen-usb.c-i.patch
  0060-vnc-add-configurable-keyboard-delay.patch
  0061-scsi-megasas-initialise-local-confi.patch
  * Patches added:
  0002-qemu-0.9.0.cvs-binfmt.patch
  0003-qemu-cvs-alsa_bitfield.patch
  0004-qemu-cvs-alsa_ioctl.patch
  0005-qemu-cvs-alsa_mmap.patch
  0006-qemu-cvs-gettimeofday.patch
  0007-qemu-cvs-ioctl_debug.patch
  0008-qemu-cvs-ioctl_nodirection.patch
  0009-block-vmdk-Support-creation-of-SCSI.patch
  0010-linux-user-add-binfmt-wrapper-for-a.patch
  0011-PPC-KVM-Disable-mmu-notifier-check.patch
  0012-linux-user-fix-segfault-deadlock.patch
  0013-linux-user-binfmt-support-host-bina.patch
  0014-linux-user-Ignore-broken-loop-ioctl.patch
  0015-linux-user-lock-tcg.patch
  0016-linux-user-Run-multi-threaded-code-.patch
  0017-linux-user-lock-tb-flushing-too.patch
  0018-linux-user-Fake-proc-cpuinfo.patch
  0019-linux-user-implement-FS_IOC_GETFLAG.patch
  0020-linux-user-implement-FS_IOC_SETFLAG.patch
  0021-linux-user-XXX-disable-fiemap.patch
  0022-slirp-nooutgoing.patch
  0023-vnc-password-file-and-incoming-conn.patch
  0024-linux-user-add-more-blk-ioctls.patch
  0025-linux-user-use-target_ulong.patch
  0026-block-Add-support-for-DictZip-enabl.patch
  0027-block-Add-tar-container-format.patch
  0028-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  0029-console-add-question-mark-escape-op.patch
  0030-Make-char-muxer-more-robust-wrt-sma.patch
  0031-linux-user-lseek-explicitly-cast-no.patch
  0032-virtfs-proxy-helper-Provide-__u64-f.patch
  0033-configure-Enable-PIE-for-ppc-and-pp.patch
  0034-qtest-Increase-socket-timeout.patch
  0035-AIO-Reduce-number-of-threads-for-32.patch
  0036-configure-Enable-libseccomp-for-ppc.patch
  0037-dictzip-Fix-on-big-endian-systems.patch
  0038-block-split-large-discard-requests-.patch
  0039-xen_disk-Add-suse-specific-flush-di.patch
  0040-build-link-with-libatomic-on-powerp.patch
  0041-net-mipsnet-check-packet-length-aga.patch
  0042-i386-kvmvapic-initialise-imm32-vari.patch
  0043-esp-check-command-buffer-length-bef.patch
  0044-esp-check-dma-length-before-reading.patch
  0045-scsi-pvscsi-check-command-descripto.patch
  0046-scsi-mptsas-infinite-loop-while-fet.patch
  0047-vga-add-sr_vbe-register-set.patch
  0048-scsi-megasas-use-appropriate-proper.patch
  0049-scsi-megasas-check-read_queue_head-.patch
  0050-scsi-megasas-null-terminate-bios-ve.patch
  0051-vmsvga-move-fifo-sanity-checks-to-v.patch
  0052-vmsvga-don-t-process-more-than-1024.patch
  0053-block-iscsi-avoid-potential-overflo.patch
  0054-scsi-esp-check-TI-buffer-index-befo.patch
  0055-xen-introduce-dummy-system-device.patch
  0056-xen-write-information-about-support.patch
  0057-xen-add-pvUSB-backend.patch
  0058-usb-Fix-conditions-that-xen-usb.c-i.patch
  0059-vnc-add-configurable-keyboard-delay.patch
  0060-scsi-megasas-initialise-local-confi.patch
* Fri Jun 10 2016 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches added:
  0061-scsi-megasas-initialise-local-confi.patch
* Fri Jun 10 2016 brogers@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches added:
  0049-scsi-megasas-use-appropriate-proper.patch
  0050-scsi-megasas-check-read_queue_head-.patch
  0051-scsi-megasas-null-terminate-bios-ve.patch
  0052-vmsvga-move-fifo-sanity-checks-to-v.patch
  0053-vmsvga-don-t-process-more-than-1024.patch
  0054-block-iscsi-avoid-potential-overflo.patch
  0055-scsi-esp-check-TI-buffer-index-befo.patch
  0056-xen-introduce-dummy-system-device.patch
  0057-xen-write-information-about-support.patch
  0058-xen-add-pvUSB-backend.patch
  0059-usb-Fix-conditions-that-xen-usb.c-i.patch
  0060-vnc-add-configurable-keyboard-delay.patch
* Thu May 26 2016 brogers@suse.com
- Address various security/stability issues
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Fix OOB access in MIPSnet emulated controller CVE-2016-4002 (bsc#975136)
  0042-net-mipsnet-check-packet-length-aga.patch
  * Fix possible host data leakage to guest from TPR access
  CVE-2016-4020 (bsc#975700)
  0043-i386-kvmvapic-initialise-imm32-vari.patch
  * Avoid OOB access in 53C9X emulation CVE-2016-4439 (bsc#980711)
  0044-esp-check-command-buffer-length-bef.patch
  * Avoid OOB access in 53C9X emulation CVE-2016-4441 (bsc#980723)
  0045-esp-check-dma-length-before-reading.patch
  * Avoid OOB access in Vmware PV SCSI emulation CVE-2016-4952 (bsc#981266)
  0046-scsi-pvscsi-check-command-descripto.patch
  * Avoid potential DoS in LSI SAS1068 emulation CVE-2016-4964 (bsc#981399)
  0047-scsi-mptsas-infinite-loop-while-fet.patch
  * Fix regression in vga behavior - introduced in v2.6.0 CVE-2016-3712 (bsc#978160)
  0048-vga-add-sr_vbe-register-set.patch
* Wed May 25 2016 brogers@suse.com
- Update to v2.6.0: See http://wiki.qemu-project.org/ChangeLog/2.6
* Thu Apr 28 2016 afaerber@suse.de
- Bump copyright in qemu-linux-user.spec.in
* Fri Apr 22 2016 afaerber@suse.de
- Update to v2.6.0-rc3: See http://wiki.qemu-project.org/ChangeLog/2.6
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Patches dropped:
  0041-tests-Use-correct-config-param-for-.patch
  * Patches renamed:
  0042-build-link-with-libatomic-on-powerp.patch -> 0041-build-link-with-libatomic-on-powerp.patch
* Fri Apr  1 2016 olaf@aepfle.de
- Update to v2.6.0-rc0: See http://wiki.qemu-project.org/ChangeLog/2.6
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
  * Accept every size in DISCARD request from a guest (bsc#964427)
  0039-block-split-large-discard-requests-.patch
  * Recognize libxl flag to disable flush in block device (bsc#879425)
  0040-xen_disk-Add-suse-specific-flush-di.patch
  * Use correct flag for crypto tests
  0041-tests-Use-correct-config-param-for-.patch
  * Fix build on powerpc:
  0042-build-link-with-libatomic-on-powerp.patch
  * Patches dropped (upstreamed):
  seabios_checkrom_typo.patch
  seabios_avoid_smbios_signature_string.patch
* Fri Jan  8 2016 afaerber@suse.de
- Update to v2.5.0: See http://wiki.qemu-project.org/ChangeLog/2.5
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.5
  * Patches dropped:
  0039-tests-Fix-check-report-qtest-target.patch
* Sun Nov 22 2015 afaerber@suse.de
- Update to v2.5.0-rc1: See http://wiki.qemu-project.org/ChangeLog/2.5
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.5
  * Patch renamed:
  0037-Revert-Revert-seccomp-tests-that-al.patch -> 0037-configure-Enable-libseccomp-for-ppc.patch
* Thu Nov 19 2015 afaerber@suse.de
- Update to v2.5.0-rc0: See http://wiki.qemu-project.org/ChangeLog/2.5
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.5
  * Patches dropped (upstream):
  0038-tcg-aarch64-Fix-tcg_out_qemu_-ld-st.patch
  0039-tests-Unique-test-path-for-string-v.patch
  * Patch renamed:
  0040-dictzip-Fix-on-big-endian-systems.patch -> 0038-dictzip-Fix-on-big-endian-systems.patch
  * Package qemu-tilegx
  * Patches added:
  0039-tests-Fix-check-report-qtest-target.patch
* Thu Oct  8 2015 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.4
  * Patches added:
  0040-dictzip-Fix-on-big-endian-systems.patch
* Thu Oct  8 2015 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.4
  * Patches added:
  0039-tests-Unique-test-path-for-string-v.patch
* Thu Sep  3 2015 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.4
  * Fix aarch64 TCG:
  0038-tcg-aarch64-Fix-tcg_out_qemu_-ld-st.patch
* Wed Aug 12 2015 afaerber@suse.de
- Update to v2.4.0: See http://wiki.qemu-project.org/ChangeLog/2.4
* Fri Jul 24 2015 afaerber@suse.de
- Update to v2.4.0-rc2: See http://wiki.qemu-project.org/ChangeLog/2.4
* Fri Jul 17 2015 afaerber@suse.de
- Update to v2.4.0-rc1: See http://wiki.qemu-project.org/ChangeLog/2.4
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.4
  * Patches dropped:
  0037-linux-user-Allocate-thunk-size-dyna.patch
  0039-s390x-Fix-stoc-direction.patch
  0040-s390x-Add-interlocked-access-facili.patch
  0041-fdc-force-the-fifo-access-to-be-in-.patch
  0042-rules.mak-Force-CFLAGS-for-all-obje.patch
  0043-qcow2-Set-MIN_L2_CACHE_SIZE-to-2.patch
  0044-hw-arm-boot-Increase-fdt-alignment.patch
  * Patches renamed:
  0038-Revert-Revert-seccomp-tests-that-al.patch -> 0037-Revert-Revert-seccomp-tests-that-al.patch
* Mon Jun  1 2015 agraf@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches added:
  0043-qcow2-Set-MIN_L2_CACHE_SIZE-to-2.patch
* Tue May 26 2015 jslaby@suse.com
- Patch queue updated from git://github.com/jirislaby/qemu.git opensuse-2.3
  * Patches added:
  0042-rules.mak-Force-CFLAGS-for-all-obje.patch
* Thu May 14 2015 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches added:
  0041-fdc-force-the-fifo-access-to-be-in-.patch
* Tue May 12 2015 agraf@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
- Fix illegal instruction for s390x SLE12 guest binaries
  * Patches added:
  0040-s390x-Add-interlocked-access-facili.patch
* Mon May 11 2015 afaerber@suse.de
- Limit %%check to architectures prepared for it
* Sun May 10 2015 afaerber@suse.de
- Add %%check executing /usr/bin/ls via qemu-HOSTARCH
* Wed May  6 2015 agraf@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
- Fix potential segmentation fault in
  0037-linux-user-Allocate-thunk-size-dyna.patch
* Wed Apr 29 2015 afaerber@suse.de
- Update to v2.3.0: See http://wiki.qemu-project.org/ChangeLog/2.3
* Wed Apr 22 2015 afaerber@suse.de
- Update to v2.3.0-rc4: See http://wiki.qemu-project.org/ChangeLog/2.3
* Wed Apr 15 2015 agraf@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
- Fix s390x stoc instructions
  0039-s390x-Fix-stoc-direction.patch
* Tue Apr 14 2015 afaerber@suse.de
- Update to v2.3.0-rc3: See http://wiki.qemu-project.org/ChangeLog/2.3
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches dropped (applied upstream):
  0037-tcg-tcg-op.c-Fix-ld-st-of-64-bit-va.patch
  * Patches renamed:
  0038-linux-user-Allocate-thunk-size-dyna.patch -> 0037-linux-user-Allocate-thunk-size-dyna.patch
  * Patches added:
  0038-Revert-Revert-seccomp-tests-that-al.patch
* Tue Apr 14 2015 agraf@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
- Fix qemu-linux-user on powerpc
  * Patches added:
  0038-linux-user-Allocate-thunk-size-dyna.patch
* Sat Apr 11 2015 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches dropped:
  0030-net-Warn-about-default-MAC-address.patch
  * Patches renamed:
  0031-console-add-question-mark-escape-op.patch -> 0030-console-add-question-mark-escape-op.patch
  0032-Make-char-muxer-more-robust-wrt-sma.patch -> 0031-Make-char-muxer-more-robust-wrt-sma.patch
  0033-linux-user-lseek-explicitly-cast-no.patch -> 0032-linux-user-lseek-explicitly-cast-no.patch
  0034-virtfs-proxy-helper-Provide-__u64-f.patch -> 0033-virtfs-proxy-helper-Provide-__u64-f.patch
  0035-configure-Enable-PIE-for-ppc-and-pp.patch -> 0034-configure-Enable-PIE-for-ppc-and-pp.patch
  0036-qtest-Increase-socket-timeout.patch       -> 0035-qtest-Increase-socket-timeout.patch
  0037-AIO-Reduce-number-of-threads-for-32.patch -> 0036-AIO-Reduce-number-of-threads-for-32.patch
  0038-tcg-tcg-op.c-Fix-ld-st-of-64-bit-va.patch -> 0037-tcg-tcg-op.c-Fix-ld-st-of-64-bit-va.patch
* Wed Apr  8 2015 afaerber@suse.de
- Fix 64-bit TCG stores on 32-bit Big Endian hosts (ppc)
  0038-tcg-tcg-op.c-Fix-ld-st-of-64-bit-va.patch
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
* Wed Apr  8 2015 afaerber@suse.de
- Update to v2.3.0-rc2: See http://wiki.qemu-project.org/ChangeLog/2.3
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches dropped:
  0038-fw_cfg-test-Fix-test-path-to-includ.patch
  0039-rcu-tests-fix-compilation-on-32-bit.patch
* Thu Mar 26 2015 afaerber@suse.de
- Update to v2.3.0-rc1: See http://wiki.qemu-project.org/ChangeLog/2.3
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches dropped (upstreamed):
  0038-linux-user-Fix-emulation-of-splice-.patch
  0039-ide-fix-cmd_write_pio-when-nsectors.patch
  0040-ide-fix-cmd_read_pio-when-nsectors-.patch
  0041-ahci-Fix-sglist-offset-manipulation.patch
  0042-ahci-test-improve-rw-buffer-pattern.patch
  0045-linux-user-fix-broken-cpu_copy.patch
  * Patches renamed:
  0043-fw_cfg-test-Fix-test-path-to-includ.patch -> 0038-fw_cfg-test-Fix-test-path-to-includ.patch
  0044-rcu-tests-fix-compilation-on-32-bit.patch -> 0039-rcu-tests-fix-compilation-on-32-bit.patch
* Mon Mar 23 2015 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
- Fix cpu_copy() not actually copying the CPU state
  0045-linux-user-fix-broken-cpu_copy.patch
* Sat Mar 21 2015 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches dropped:
  0044-rcutorture-fix-compilation-on-32-bi.patch
  * Patches added:
  0044-rcu-tests-fix-compilation-on-32-bit.patch
* Sat Mar 21 2015 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches added:
  0043-fw_cfg-test-Fix-test-path-to-includ.patch
  0044-rcutorture-fix-compilation-on-32-bi.patch
* Fri Mar 20 2015 afaerber@suse.de
- Update to v2.3.0-rc0: See http://wiki.qemu-project.org/ChangeLog/2.3
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
  * Patches dropped:
  0030-Legacy-Patch-kvm-qemu-preXX-report-.patch
  * Patches added:
  0030-net-Warn-about-default-MAC-address.patch
  0039-ide-fix-cmd_write_pio-when-nsectors.patch
  0040-ide-fix-cmd_read_pio-when-nsectors-.patch
  0041-ahci-Fix-sglist-offset-manipulation.patch
  0042-ahci-test-improve-rw-buffer-pattern.patch
* Sun Mar  1 2015 afaerber@suse.de
- Update company name in spec file templates
- Fix splice syscall argument handling (by Andreas_Schwab)
  0038-linux-user-Fix-emulation-of-splice-.patch
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.2
* Wed Jan 14 2015 agraf@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.2
  * Patches added:
  0037-AIO-Reduce-number-of-threads-for-32.patch
* Mon Jan 12 2015 afaerber@suse.de
- Update to v2.2.0: See http://wiki.qemu-project.org/ChangeLog/2.2
  * Don't re-package trace-events
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.2
  * Patches dropped:
  0015-target-arm-linux-user-no-tb_flush-o.patch (tb_flush() not called)
  0037-tests-Don-t-run-qom-test-twice.patch (superseded)
  0039-linux-user-Cast-validity-checks-on-.patch (helper function introduced)
  0040-linux-user-Convert-blkpg-to-use-a-s.patch (upstreamed)
  * Patched renumbered:
  0016-linux-user-Ignore-broken-loop-ioctl.patch -> 0015-linux-user-Ignore-broken-loop-ioctl.patch
  0017-linux-user-lock-tcg.patch                 -> 0016-linux-user-lock-tcg.patch
  0018-linux-user-Run-multi-threaded-code-.patch -> 0017-linux-user-Run-multi-threaded-code-.patch
  0019-linux-user-lock-tb-flushing-too.patch     -> 0018-linux-user-lock-tb-flushing-too.patch
  0020-linux-user-Fake-proc-cpuinfo.patch        -> 0019-linux-user-Fake-proc-cpuinfo.patch
  0021-linux-user-implement-FS_IOC_GETFLAG.patch -> 0020-linux-user-implement-FS_IOC_GETFLAG.patch
  0022-linux-user-implement-FS_IOC_SETFLAG.patch -> 0021-linux-user-implement-FS_IOC_SETFLAG.patch
  0023-linux-user-XXX-disable-fiemap.patch       -> 0022-linux-user-XXX-disable-fiemap.patch
  0024-slirp-nooutgoing.patch                    -> 0023-slirp-nooutgoing.patch
  0025-vnc-password-file-and-incoming-conn.patch -> 0024-vnc-password-file-and-incoming-conn.patch
  0026-linux-user-add-more-blk-ioctls.patch      -> 0025-linux-user-add-more-blk-ioctls.patch
  0027-linux-user-use-target_ulong.patch         -> 0026-linux-user-use-target_ulong.patch
  0028-block-Add-support-for-DictZip-enabl.patch -> 0027-block-Add-support-for-DictZip-enabl.patch
  0029-block-Add-tar-container-format.patch      -> 0028-block-Add-tar-container-format.patch
  0030-Legacy-Patch-kvm-qemu-preXX-dictzip.patch -> 0029-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  0031-Legacy-Patch-kvm-qemu-preXX-report-.patch -> 0030-Legacy-Patch-kvm-qemu-preXX-report-.patch
  0032-console-add-question-mark-escape-op.patch -> 0031-console-add-question-mark-escape-op.patch
  0033-Make-char-muxer-more-robust-wrt-sma.patch -> 0032-Make-char-muxer-more-robust-wrt-sma.patch
  0034-linux-user-lseek-explicitly-cast-no.patch -> 0033-linux-user-lseek-explicitly-cast-no.patch
  0035-virtfs-proxy-helper-Provide-__u64-f.patch -> 0034-virtfs-proxy-helper-Provide-__u64-f.patch
  0036-configure-Enable-PIE-for-ppc-and-pp.patch -> 0035-configure-Enable-PIE-for-ppc-and-pp.patch
  0038-qtest-Increase-socket-timeout.patch       -> 0036-qtest-Increase-socket-timeout.patch
* Fri Aug 22 2014 agraf@suse.com
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.1
  * Patches added:
  0039-linux-user-Cast-validity-checks-on-.patch
  0040-linux-user-Convert-blkpg-to-use-a-s.patch
- Implement missing ioctl to fix parted properly
* Thu Aug 21 2014 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.1
- Revert use of %%{version} in Source line as it breaks update_git.sh
* Wed Aug  6 2014 coolo@suse.com
- update to v2.1.0: http://wiki.qemu-project.org/ChangeLog/2.1
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.1
  * Patches dropped:
  0039-fix-full-frame-updates-for-VNC-clie.patch
  0040-vnc-update-fix.patch
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Fri Jul 25 2014 afaerber@suse.de
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.1
  * Patches added:
  0039-fix-full-frame-updates-for-VNC-clie.patch
  0040-vnc-update-fix.patch
* Wed Jul 23 2014 afaerber@suse.de
- Update to v2.1.0-rc3: http://wiki.qemu-project.org/ChangeLog/2.1
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.1
  * Updated update_git.sh script accordingly
* Wed Jul 16 2014 afaerber@suse.de
- Update to v2.1.0-rc2: http://wiki.qemu-project.org/ChangeLog/2.1
  * Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.1
  * Updated update_git.sh accordingly
* Wed Jul  9 2014 afaerber@suse.de
- Update to v2.1.0-rc0: http://wiki.qemu-project.org/ChangeLog/2.1
  * Dropped patches on rebase:
  0043-arm-translate.c-Fix-smlald-Instruct.patch
  0044-target-arm-A64-fix-unallocated-test.patch
  * Package qemu-ppc64le binary
  * Modified update_git.sh accordingly
- Update to v2.1.0-rc1: http://wiki.qemu-project.org/ChangeLog/2.1
  * Modified update_git.sh accordingly
* Tue May 13 2014 afaerber@suse.de
- ABI fixes for ppc64le TCG
  0045-tcg-ppc64-Support-the-ELFv2-ABI.patch
* Fri Apr 18 2014 afaerber@suse.de
- Fix aarch64 emulation issues:
  0043-arm-translate.c-Fix-smlald-Instruct.patch
  0044-target-arm-A64-fix-unallocated-test.patch
* Thu Apr 17 2014 afaerber@suse.de
- Update to v2.0.0: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
* Mon Apr 14 2014 afaerber@suse.de
- Update to v2.0.0-rc3: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
* Fri Apr 11 2014 afaerber@suse.de
- Update to v2.0.0-rc2: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
* Thu Apr  3 2014 afaerber@suse.de
- Updated to v2.0.0-rc1: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
  * Drop 0012-linux-user-be-silent-about-capget-f.patch (implemented)
  * Update qemu-config-binfmt.sh for aarch64
* Tue Apr  1 2014 afaerber@suse.de
- Fix update_git.sh script to not duplicate .patch in filename
* Fri Mar 28 2014 afaerber@suse.de
- Improve update_git.sh script to use a user-agnostic git symlink
* Mon Mar 24 2014 brogers@suse.com
- Improve update_git.sh to not change files in OBS if the file
  remains unchanged
* Mon Mar 24 2014 afaerber@suse.de
- Enable libvixl-based disassembler support for aarch64
* Tue Mar 18 2014 afaerber@suse.de
- Update to v2.0.0-rc0: Cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
  * Generate package version automatically from VERSION file
  * Drop 0012-linux-user-Ignore-timer_create-sysc.patch (implemented)
  * Package new qemu-aarch64
* Fri Jan 24 2014 afaerber@suse.de
- Synchronize syscall numbers from Linux v3.13
  0041-linux-user-sync-syscall-numbers-upt.patch
* Sat Jan 18 2014 afaerber@suse.de
- Added patch to implement BLKPG ioctl that broke kiwi image builds
  0040-linux-user-Implement-BLKPG-ioctl.pa.patch
* Fri Jan 17 2014 afaerber@suse.de
- Bump copyright in qemu-linux-user.spec.in
* Fri Dec  6 2013 afaerber@suse.de
- Update to v1.7.0: See http://wiki.qemu-project.org/ChangeLog/1.7
  * Adapted update_git.sh accordingly
* Sat Aug 17 2013 afaerber@suse.de
- Fix gdbstub for arm/m68k/ppc guests (from pending upstream pull)
* Fri Aug 16 2013 afaerber@suse.de
- Update to v1.6.0: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
* Tue Aug 13 2013 afaerber@suse.de
- Update to v1.6.0-rc3: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
- Changed back versioning scheme to 1.6.0rcX (saschpe, brogers).
* Fri Aug  9 2013 afaerber@suse.de
- Update to v1.6.0-rc2: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
- Changed version from 1.6.0rcX to 1.5.9X (reported by lnussel)
- Drop patch "fix segmentation fault passing with g2h(x) != x"
  It was a mismerge (pointed out by Peter Maydell), cf.
  http://git.qemu.org/?p=qemu.git;a=commit;h=732f9e89a1c737f738c445ff24929a1bc137d1a9
* Fri Aug  2 2013 afaerber@suse.de
- Update to v1.6.0-rc1: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
* Tue Jul 30 2013 afaerber@suse.de
- Update to v1.6.0-rc0: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
* Sat Jul 20 2013 afaerber@suse.de
- Clarify through spec file comments that the patch queue is
  auto-generated through update_git.sh.
* Tue Jul 16 2013 agraf@suse.com
- Fix seeking for negative SEEK_CUR seeks
* Sat May 25 2013 afaerber@suse.de
- Amend licenses list with GPL-2.0 (adopted from kvm package)
- virtfs-proxy-helper.1 shouldn't be installed anymore
* Fri May 24 2013 afaerber@suse.de
- Fix ppc builds by packaging /emul/ia32-linux (previously in qemu)
  and /usr/share/qemu/qemu-i386
* Fri May 24 2013 afaerber@suse.de
- Drop unneeded dependencies: SDL, ALSA, bison, cURL, cyrus-sasl,
  libaio, libcap, libcap-ng, libgnutls, libjpeg, libpcap, libpng,
  pwdutils, timezone
  * Reorder BuildRequires alphabetically
- Tidy up suppression of post-build-checks (requested by Adrian)
* Fri May 24 2013 afaerber@suse.de
- Use %%{?_smp_mflags} rather than %%{?jobs:-j%%jobs}
* Tue May 21 2013 afaerber@suse.de
- Split off from qemu.spec.in
  * Dropped some dependencies
* Mon May 20 2013 afaerber@suse.de
- Update to v1.5.0 final: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
  * Add BuildRequires for gtk2/3 and vte2 to enable new frontend
  * Place translations into new qemu-lang package
  * Really enable SPICE support from 11.4 in configure, too
* Fri May 17 2013 afaerber@suse.de
- Add BuildRequires for pixman, to avoid using internal version
  that fails to build on ppc
* Thu May 16 2013 afaerber@suse.de
- Update to v1.5.0-rc2: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
- Add patch by brogers to fix SLE 11 SP2 build (from kvm package)
* Tue May 14 2013 afaerber@suse.de
- Update to v1.5.0-rc1: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
  * TODO file no longer exists, don't try to package it
  * Package qemu-mips64{,el}
* Tue May 14 2013 ohering@suse.de
- Enable spice support starting from 11.4
* Tue May  7 2013 afaerber@suse.de
- Update to v1.5.0-rc0: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh script
  * Audio cards are now all enabled by default
* Wed Apr 24 2013 afaerber@suse.de
- Enable pa and oss audio drivers, as in kvm package (bnc#737070)
- Enable hda audio card, as done in kvm package (bnc#801794)
* Mon Apr 22 2013 dimstar@opensuse.org
- Add explicit alsa-devel BuildRequires: this used to (wrongly) be
  pulled in by libSDL-devel.
* Sun Feb 17 2013 afaerber@suse.de
- Update licenses from new format_spec_file
* Sat Feb 16 2013 afaerber@suse.de
- Update to v1.4.0: See http://wiki.qemu.org/ChangeLog/1.4
  * Adapt update_git.sh accordingly
* Sun Feb 10 2013 afaerber@suse.de
- Update to v1.4.0-rc1: See http://wiki.qemu.org/ChangeLog/1.4
  * Adapt update_git.sh accordingly
- Update update_git.sh to reference github.com/openSUSE/qemu.git
* Thu Dec 13 2012 agraf@suse.com
- linux-user: fix lseek with SEEK_END
* Thu Dec 13 2012 agraf@suse.com
- Cherry pick patches from qemu-kvm into the qemu package:
  - 0033-Add-support-for-DictZip-enabled-gzi.patch
  - 0034-Add-tar-container-format.patch.patch
  - 0035-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  - 0036-Legacy-Patch-kvm-qemu-preXX-report-.patch
  - 0037-console-add-question-mark-escape-op.patch
  - 0038-Make-char-muxer-more-robust-wrt-sma.patch
* Wed Dec  5 2012 afaerber@suse.de
- Revert memory size constraint, the workaround patch got applied
* Wed Dec  5 2012 afaerber@suse.de
- Update to v1.3.0: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh script accordingly
* Wed Nov 28 2012 afaerber@suse.de
- Replace -fno-gcse patch with v3
* Tue Nov 27 2012 afaerber@suse.de
- Add patch to workaround GCC PR55489 via -fno-gcse,
  another step to avoid builds failing with out-of-memory
* Tue Nov 27 2012 afaerber@suse.de
- Add _constraints to request adequate memory to succeed building
* Tue Nov 27 2012 afaerber@suse.de
- Update to v1.3.0-rc1: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh accordingly
* Tue Nov 20 2012 afaerber@suse.de
- Update to v1.3.0-rc0: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh accordingly
  * Disable SPICE for 11.4 since it can no longer be built lacking
  pyparsing
* Wed Oct 10 2012 agraf@suse.com
- use ulong for syscall parameters. fixes lseek with big files
* Wed Oct 10 2012 agraf@suse.com
- Add more block ioctl handlers for kiwi
* Tue Oct  9 2012 afaerber@suse.de
- Sync qemu.spec.in file, please don't forget!
* Fri Sep 14 2012 schwab@linux-m68k.org
- Don't strip binaries
* Thu Sep 13 2012 idonmez@suse.com
- Add explicit dependency on makeinfo for manpage/doc generation
* Fri Sep  7 2012 vuntz@suse.com
- Add libcap-devel BuildRequires since it's needed to enable VirtFS
  support.
- Add libcap-ng-devel BuildRequires to be able to drop privileges
  in qemu-bridge-helper.
- Add libjpeg-devel and libpng-devel BuildRequires to enable VNC
  jpeg and png support.
- Pass --enable-virtfs to configure to detect changes that will
  cause VirtFS support to not be built.
* Wed Sep  5 2012 afaerber@suse.de
- update to v1.2.0: see http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
  * this includes the fix for CVE-2012-3515
* Wed Sep  5 2012 afaerber@suse.de
- add bounds checks in console VT100 emulation (bnc#777084,
  CVE-2012-3515)
* Wed Sep  5 2012 afaerber@suse.de
- update to v1.2.0-rc3: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
- add two patches from kvm for SUSE Studio, forwarded by Dinar:
  * add -nooutgoing option for slirp networking
  * add allowed-connections= and password-file= options for VNC
* Tue Aug 28 2012 afaerber@suse.de
- update to v1.2.0-rc1: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
* Tue Aug 21 2012 agraf@suse.com
- fix getdent in linux-user
- fix statfs in linux-user
- disable FIEMAP support in linux-user
* Tue Aug 21 2012 agraf@suse.com
- add support for FS_IOC_[G|S]ETFLAG ioctls
* Fri Aug 17 2012 afaerber@suse.de
- update to v1.2.0-rc0: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
  * package new qemu-or32 executable into linux-user
* Wed Aug 15 2012 dmueller@suse.com
- avoid installing qemu on a qemu build
* Tue Jul 31 2012 agraf@suse.com
- add hijack for /proc/cpuinfo
- add compatibility patch for glibc 2.16 (Thanks AJ!)
* Wed Jul 11 2012 agraf@suse.com
- fix segfault even better
* Wed Jul 11 2012 agraf@suse.com
- linux-user: improve locking even across tb flushes
* Tue Jul 10 2012 agraf@suse.com
- linux-user: pin multi-threaded applications to a single host cpu
* Tue Jul 10 2012 agraf@suse.com
- linux-user: improve lock
* Thu Jul  5 2012 agraf@suse.com
- linux-user: add tcg lock for multi-threaded guest programs
* Mon Jun 25 2012 afaerber@suse.de
- include qemu-img and qemu-nbd in qemu-tools package
* Mon Jun 25 2012 afaerber@suse.de
- add qemu-guest-agent package
* Mon Jun 25 2012 agraf@suse.com
- add fix for segv in linux-user (fixes java)
* Tue Jun 19 2012 afaerber@suse.de
- revert LIBRARY_PATH patch by Alex
* Mon Jun 18 2012 afaerber@suse.de
- add patch by Alex to force gcc being emulated for LIBRARY_PATH
* Mon Jun 18 2012 dvaleev@suse.com
- add libfdt1 to buildrequires on ppc
* Thu Jun 14 2012 afaerber@suse.de
- revert qemu-bridge-helper mode change (cf. BNC#765948)
* Wed Jun 13 2012 brogers@suse.com
- don't use permissions.d
* Wed Jun 13 2012 agraf@suse.com
- Add fix for bogus losetup ioctl to not warn us about it
* Sat Jun  9 2012 brogers@suse.com
- Set up bridge helper as a setuid executable
* Sat Jun  9 2012 afaerber@suse.de
- Add patch for specifying --libexecdir
  * Fixes having to specify the path to qemu-bridge-helper manually
- Drop superfluous `make qemu-img`
- Move qemu-bridge-helper to its own subpackage, to share with KVM
* Tue Jun  5 2012 afaerber@suse.de
- Update to v1.1.0: see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Fri Jun  1 2012 afaerber@suse.de
- Update to v1.1.0-rc4: see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Thu May 31 2012 agraf@suse.com
- fix /proc/self/maps faking with secondary threads
* Wed May 30 2012 agraf@suse.de
- revert commit a84fac1426 to fix automoc4 for arm
* Tue May 29 2012 agraf@suse.com
- remove manual interp prefix, which made all linux-user binaries
  point to an i386 LD_PREFIX path
* Tue May 29 2012 agraf@suse.com
- add patch to fix building of go (swi in thumb ignores imm)
* Tue May 22 2012 afaerber@suse.de
- Update to v1.1.0-rc3; see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Thu May 17 2012 afaerber@suse.de
- Update to v1.1.0-rc2; see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Wed May 16 2012 afaerber@suse.de
- Remove workaround for forcing cURL detection
* Sun May 13 2012 afaerber@suse.de
- Update to v1.1-rc1: see http://wiki.qemu.org/ChangeLog/1.1
  * Add workaround for 11.4: add -lrt after -lglib-2.0
- Adapt update_git.sh script to new tag
* Tue May  8 2012 afaerber@suse.de
- Update to v1.1-rc0; see http://wiki.qemu.org/ChangeLog/1.1
  * Do not try to mv qemu, the executable is gone, there's a dir now
  * Do not try to mv */qemu-*, there's a pc-bios/qemu-icon.bmp
  * Be more specific in temporary copying of files to dynamic/
  * Drop duplicate %%_bindir/qemu_binfmt_misc.sh, only in sbin now
  * Use dynamic version of new executable qemu-bridge-helper
- Update update_git.sh script to pull patches from suse-1.1 branch
* Mon May  7 2012 afaerber@suse.de
- Update URL to project homepage
* Mon May  7 2012 agraf@suse.com
- compile fixes for ppc64abi32
- fix update_fit.sh script if wc -c is 40
- fix stale tbs after mmap
* Wed Mar  7 2012 agraf@suse.com
- cut off patch file names after 40 bytes, support older git versions
  for update_git.sh
* Mon Mar  5 2012 agraf@suse.com
- resolve VMAs downwards, fixes arm git build for real
* Sat Mar  3 2012 agraf@suse.com
- update update_git.sh for 1.0.1
- add fixes for reserved_va mmap(NULL) case, fixes git build on arm
* Tue Feb 28 2012 idonmez@suse.com
- Enable spice support
* Wed Feb 22 2012 brogers@suse.com
- update to latest stable release: 1.0.1. For changes see:
  http://wiki.qemu.org/ChangeLog/1.0
* Mon Feb  6 2012 brogers@suse.com
- avoid buffer overflow in e1000 device emulation (bnc#740165)
* Mon Feb  6 2012 agraf@suse.de
- qemu-user: fix fallocate
* Fri Feb  3 2012 agraf@suse.de
- qemu-user: fix previous patch
* Thu Feb  2 2012 agraf@suse.de
- qemu-user: add host binary support for binfmt
* Thu Feb  2 2012 agraf@suse.de
- qemu-user: add fix for /proc/self/maps to only show mappable regions
* Wed Feb  1 2012 agraf@suse.de
- qemu-user: add wrapper for BLKBSZGET
* Tue Jan 31 2012 agraf@suse.de
- qemu-user: add fix for deadloop with ulimit constraints
- qemu-user: add device mapper and loopback ioctls, enabling kpatkx
* Tue Jan 10 2012 agraf@suse.de
- backport all ppc-1.0 stable patches to our package
- add fix for PPC HV KVM on 3.1
* Tue Jan 10 2012 agraf@suse.de
- add fix for PPC in HV KVM mode
* Fri Jan  6 2012 agraf@suse.de
- add workaround for KVM on PPC to support hugetlbfs
- add upstream patches to fake $0 in /proc/self/maps (fixes ps)
* Wed Dec 14 2011 agraf@suse.com
- add update_git.sh to simplify maintenance of the tree
- use -R automatically in linux-user to gain more address space
- drop MAP_32BIT patch (deprecated by the one above)
* Mon Dec 12 2011 agraf@suse.com
- add linker patch for ppc hosts
* Mon Dec 12 2011 agraf@suse.com
- remove exclusivearch - we should be able to build everywhere!
* Sun Dec 11 2011 agraf@suse.com
- fix compilation for 11.4
* Sun Dec 11 2011 agraf@suse.com
- fix compilation on sle11
- add %%fdupes for duplicate file checking
* Sun Dec 11 2011 agraf@suse.com
- update to 1.0 from upstream. for changelogs please see:
  - 0.14 -> 0.15: http://wiki.qemu.org/ChangeLog/0.15
  - 0.15 -> 1.0:  http://wiki.qemu.org/ChangeLog/1.0
- the binary "qemu" is now called qemu-system-i386
* Tue Nov  8 2011 agraf@suse.com
- only ignore specific timer_create syscall, no all of them
* Sun Nov  6 2011 agraf@suse.com
- don't print out unsupported syscalls but rather silently ignore
  them - some programs catch stderr and get confused
* Thu Nov  3 2011 adrian@suse.de
- add a number of patches to fake /proc entries (from Alex)
* Fri Oct 28 2011 adrian@suse.de
- split linux-user binaries into qemu-linux-user package
  (this static package can be used in cross build in OBS)
* Tue Oct 18 2011 adrian@suse.de
- add xattr support for openSUSE 12.1
- added syscall numbers to fix prlimit64 support (from upstream)
* Wed Oct  5 2011 joop.boonen@opensuse.org
- Fixed glibc arm build issue according to
  https://bugs.meego.com/show_bug.cgi?format=multiple&id=20418
  added a reverse patch
* Tue Oct  4 2011 adrian@suse.de
- add binfmt misc handler binary patch from alex. This is a handler
  which calls qemu with -0 argument and right parameters to avoid
  broken runs due to different set $0 as on real hardware
- move arch specific patches at the end to avoid arch dep conflicts
  with other patches
- enable linux-user build to get binfmt handler
* Thu Sep 29 2011 adrian@suse.de
- add 0021-implement-prlimit64-syscall.patch from upstream to avoid
  output and confused configure scripts when testing gcc on armv7hl
- add 0022-fixing-smp-races.patch from alex to fix some SMP races
* Tue Sep 27 2011 adrian@suse.de
- add 0020-linux-user-implement-reboot-syscall.patch from alex
- extend 0010 mmap patch for files
* Mon Sep 26 2011 adrian@suse.de
- add fix from alex for openat file permission handling
* Mon Jun 20 2011 aj@suse.de
- Add BuildRequires: glibc-devel-static
* Thu May 19 2011 andrea@opensuse.org
- removed un-required vde buildrequires
* Tue May 17 2011 brogers@novell.com
- build correctly for SLE11
- reset revision to zero after version change
* Wed May 11 2011 andrea@opensuse.org
- added 0018-qemu-0.14.1-mcast-udp.patch to enable multicast and
  udp tunneling support
* Tue May 10 2011 andrea@opensuse.org
- New Upstream version 0.14.1
    See http://wiki.qemu.org/Changelog/0.14 for changes in 0.14
- removed 0014-qemu-0.11-git-ioctl_mount.patch not required anymore
- enabled vde support
- some spec clean up
* Mon Feb 21 2011 coolo@novell.com
- disable parallel build for a while, it takes too much memory
  for our workers
* Thu Feb 10 2011 uli@suse.de
- update -> 0.14.0-rc1
  See http://wiki.qemu.org/Changelog/0.14 for changes in 0.14.
  (There is no such page for the 0.13 tree. The ChangeLog file ends at
  0.12.0, http://wiki.qemu.org/ChangeLog at 0.12.5 and suggests to look at
  the git log. High-level information of what has changed in 0.13 is
  apparently not available.)
* Fri May 28 2010 uli@suse.de
- update -> 0.12.4
  see http://wiki.qemu.org/ChangeLog for changes
* Wed May 19 2010 brogers@novell.com
- co-exist with virt-utils, which provides some qemu components
  (bnc#586115)
* Sun Apr 18 2010 crrodriguez@opensuse.org
- requires timezone
* Mon Oct  5 2009 uli@suse.de
- update -> 0.11.0 final
  - mips: fix conditional move off fp conditions codes (Nath Froyd)
  - fix migration to obey -S (Paolo Bonzini)
  - remove pc-0-10 machine type (Mark McLoughlin)
  - vnc: fix copyrect screen corruption (Gerd Hoffman)
  - fix vm state change handlers running order (Markus Armbruster)
  - e1000: fix eerc and ics emulation (Bill Paul)
  - fix sdl zooming with pl110 (Blue Swirl)
  - sparc64: flush pending conditional evaluations (Igor Kovalenko)
  - esp: fix interrupt register read (Blue Swirl)
  - option rom makefile fixes (Paul Brook)
  - fix sparse warnings (Blue Swirl)
  - fix symfind (Laurent Desnogues)
  - win32: fix default prefix (Stefan Weil)
  - fix checksum writing in signboot (Alex Graf)
  - fix sdl window resize (Stefano Stabellini)
  - do not resize the screen on hw_invalidate (Stefano Stabellini)
  - Add checks for -smbios option (Beth Kon)
  - fix do_set_link (Luiz Capitulino)
  - fix do_commit behavior (Luiz Capitulino)
  - make windows notice media change (Gleb Natapov)
  - check for PR_SET_NAME being defined (Nathan Froyd)
  - fix migration for ide devices (Anthony Liguori)
  - Use correct depth in vmware vga (Reimar Doffiner)
  - support 32bpp cursors in sdl (Reimar Doffinger)
  - fix device name completion for eject (Blue Swirl)
  - make screendump use DisplayState properly (Stefano Stabellini)
  - fix autostart with live migration (Avi Kivity)
  - fix detached migration with exec (Chris Lalancette)
  - fix segv when changing vnc password in sdl (Zach Amsden)
  - fix vnc password clearing with stdio monitor (Zach Amsden)
  - clean up VGA type selection (Zach Amsden)
  - add missing linefeed in error message (Stefan Weil)
  - fix rtc polling mode (Bernhard Kauer)
  - qcow2: order concurrent aio requests (Kevin Wolf)
  - qemu-io: port to win32 (Stefan Weil)
  - alpha: fix extlh instruction (Vince Weaver)
  - tcg: fix size of local variables in tcg_gen_bswap64_i64 (Stefan Weil)
  - net: fix send ordering (Jan Kiszka)
  - escc: fix IRQ routing (Aurelien Jarno)
  - versatile: fix Linux task preemption (Aurelien Jarno)
  - curses: reduce memory usage by 250MB (Aurelien Jarno)
- disabled ppc64 host, seems to be very broken
* Thu Sep 10 2009 uli@suse.de
- package missing tools (qemu-nbd, qemu-io)
* Thu Sep  3 2009 uli@suse.de
- disable S/390 target on 32-bit platforms
* Tue Aug 11 2009 uli@suse.de
- update -> 0.11.0 RC1
  - add machine aliasing support (Mark McLoughlin)
  - add getfd/closefd monitor commands (Mark McLoughlin)
  - fix live migration (various)
  - HPET fixes (various)
  - slirp: fix guestfwd for incoming data (Jan Kiszka)
  - fix qemu-img convert to copy unallocated parts of the image
    (Akkarit Sangpetch)
  - vmdk: fix backing file handling (Kevin Wolf)
  - scsi: add save/restore support (Nolan Leake)
  - e1000: ignore reset command (Kevin Wolf)
  - allow monitor interaction when using -incoming exec: (Chris Lalancette)
  - fix -net socket,listen (Jan Kiszka)
  - serial: fix lost characters after sysrq (Jason Wessel)
  - lsi53c895a: Implement additional registers (Sebastian Herbszt)
  - i386: fix cpu reset (Nitin Kamble)
  - Prevent CD-ROM eject while device is locked (Mark McLoughlin)
  - Fix memory leaks (various)
  - Reset PS2 keyboard/mouse on reset (Dinesh Subraveti)
  - Fix -initrd with > 4GB guests (Glauber Costa)
  - qcow2 fixes (various)
  - Enable power button event generation (Gleb Natapov)
  - fix serial option in -drive
  - Fix non-ACPI timer interrupt routing (Beth Kon)
  - Fix keyboard mapping on newer Xords with non-default keymaps (balrog)
  - Make PCI config status register read-only (Anthony Liguori)
  - Fix crash on resolution change -> screen dump -> vga redraw (Avi Kivity)
  - fix savevm/loadvm (various)
  - virtio: fix guest oops with 2.6.25 kernels (Rusty Russell)
  - SH4: add support for -kernel (Takashi Yoshii, Aurelien Jarno)
  - hotplug: fix closing of char devices (Jan Kiszka)
  - hotplug: remove incorrect check for device name (Eduardo Habkost)
  - fix VGA regression (malc)
- added S/390 host and target
- maintaining patches in git
- several linux-user improvements for compatibility and speed
- enabled curl block driver, VNC TLS and SASL, AIO, and Bluetooth
* Wed Apr 15 2009 ro@suse.de
- buildfix: refresh patches
* Fri Mar 27 2009 crrodriguez@suse.de
- BuildRequire zlib-devel-static
* Tue Mar 24 2009 uli@suse.de
- update -> release (0.10.1)
  - fixes bnc #435135 (CVE-2008-4539, SWAMP #22179), #362956
    (CVE-2008-1945, CVE-2008-0928), #461565 (CVE-2008-2382)
  - Kernel Virtual Machine acceleration support
  - GDB XML register description support
  - Intel e1000 emulation
  - HPET emulation
  - VirtIO paravirtual device support
  - Marvell 88w8618 / MusicPal emulation
  - Nokia N-series tablet emulation / OMAP2 processor emulation
  - PCI hotplug support
  - Curses display support
  - qemu-nbd utility to mount supported block formats
  - Altivec support in PPC emulation and new firmware (OpenBIOS)
  - Multiple VNC clients are now supported
  - TLS encryption is now supported in VNC
  - MIPS Magnum R4000 machine (Hervé Poussineau)
  - Braille support (Samuel Thibault)
  - Freecom MusicPal system emulation (Jan Kiszka)
  - OMAP242x and Nokia N800, N810 machines (Andrzej Zaborowski)
  - EsounD audio driver (Frederick Reeve)
  - Gravis Ultrasound GF1 sound card (Tibor "TS" Schütz)
  - Many, many, bug fixes and new features
  - virtio-net: allow masking of notifications on empty queue (Alex
    Williamson)
  - e1000: fix rx descriptor low threshold logic (Alex Willaimson)
  - x86 tcg: add NULL checks to lsl instruction (Jan Kiszka)
  - kvm vga: fix screen corruption with -std-vga and Windows (Avi Kivity)
  - kvm vga: fix screen corruption with Ubuntu installations (Glauber Costa)
  - virtio-net: check right return size on sg list (Alex Williamson)
  - Make qemu_announce_self handle holes (live migration after hotplug)
    (Marcelo Tosatti)
  - Revert r6804-r6808 (qcow2 allocation info).  This series of changes
    added a high cost to startup for large qcow2 images (Anthony Liguori)
  - qemu-img: fix help message (Aurelien Jarno)
  - Fix build for non-default installs of SDL (Anthony Liguori)
  - Fix race condition in env->interrupt_request.  When using TCG and a
    dynticks host timer, this condition could cause TCG to get stuck in an
    infinite loop (Aurelien Jarno)
  - Fix reading encrypted hard disk passwords during early startup (Jan
    Kiszka)
  - Fix encrypted disk reporting in 'info block' (Jan Kiszka)
  - Fix console size with tiny displays (MusicPal) (Jan Kiszka)
  - Improve error handling in bdrv_open2 (Jan Kiszka)
  - Avoid leaking data in mux'ed character devices (Jan Kiszka)
  - Fix initial character device reset (no banner in monitor) (Jan Kiszka)
  - Fix cpuid KVM crash on i386 host (Lubomir Rintel)
  - Fix SLES10sp2 installation by adding ISTAT1 register to LSI SCSI
    emulation (Ryan Harper)
- s390x TCG backend
- i386-linux-user NPTL support
* Wed Oct  8 2008 uli@suse.de
- update -> current SVN
  - fixes PPC hosts
  - fixes SH4 targets (reenabled), adds NPTL support
  - SSSE3, SSE4.* instructions, "unreal" mode fixed
  - Alpha target converted to TCG
  - live migration
  - Bluetooth emulation
  - SCSI tape support
  - OpenBIOS binary updated
  - UHCI emulation rewritten
  - lots of bugfixes
* Mon Aug  4 2008 ro@suse.de
- fix build by adding return statements for two nonvoid functions
  (qemu-nonvoid_return.patch), actually unreached code
* Thu Jul 24 2008 uli@suse.de
- update -> current SVN
  - MIPS Magnum R4000 machine (Hervé Poussineau)
  - Braille support (Samuel Thibault)
  - Freecom MusicPal system emulation (Jan Kiszka)
  - OMAP242x and Nokia N800, N810 machines (Andrzej Zaborowski)
  - EsounD audio driver (Frederick Reeve)
  - Gravis Ultrasound GF1 sound card (Tibor "TS" Schütz)
- added pcap networking
- ditched GCC3 thanks to TCG. Hooray!
  (downside: no PPC and SH4 emulation, no S/390 host)
* Thu May 15 2008 cthiel@suse.de
- use lsilogic instead of buslogic for SCSI VMDK images
* Thu May  8 2008 uli@suse.de
- add format option to disable autodetection of disk image format
  (bnc#380828)
* Fri Apr 25 2008 uli@suse.de
- revert secfix (causes data corruption, no known good patch
  available yet)
- support creation of SCSI VMDK images
* Tue Mar 11 2008 uli@suse.de
- secfix (unchecked block read/write vulnerability, bug #362956)
* Thu Jan 17 2008 uli@suse.de
- update -> 0.9.1
  - TFTP booting from host directory (Anthony Liguori, Erwan Velu)
  - Tap device emulation for Solaris (Sittichai Palanisong)
  - Monitor multiplexing to several I/O channels (Jason Wessel)
  - ds1225y nvram support (Herve Poussineau)
  - CPU model selection support (J. Mayer, Paul Brook, Herve Poussineau)
  - Several Sparc fixes (Aurelien Jarno, Blue Swirl, Robert Reif)
  - MIPS 64-bit FPU support (Thiemo Seufer)
  - Xscale PDA emulation (Andrzej Zaborowski)
  - ColdFire system emulation (Paul Brook)
  - Improved SH4 support (Magnus Damm)
  - MIPS64 support (Aurelien Jarno, Thiemo Seufer)
  - Preliminary Alpha guest support (J. Mayer)
  - Gumstix boards: connex and verdex emulation (Thorsten Zitterell)
  - Intel mainstone II board emulation (Armin Kuster)
  - VMware SVGA II graphics card support (Andrzej Zaborowski)
- revert s390-dis.c to last GPLv2 version
- reenabled qemu-system-ppcemb
* Mon Dec 10 2007 uli@suse.de
- fixed open() usage with O_CREAT
* Tue Nov 13 2007 uli@suse.de
- update -> current CVS:
  - Read-only support for Parallels disk images (Alex Beregszaszi)
  - CRIS emulation (Edgar E. Iglesias)
  - SPARC32PLUS execution support (Blue Swirl)
  - MIPS mipssim pseudo machine (Thiemo Seufer)
  - Strace for Linux userland emulation (Stuart Anderson, Thayne Harbaugh)
  - OMAP310 MPU emulation plus Palm T|E machine (Andrzej Zaborowski)
  - ARM v6, v7, NEON SIMD and SMP emulation (Paul Brook/CodeSourcery)
* Thu Oct 11 2007 ro@suse.de
- hack to fix build: undef DEBUG_BLOCK for now
* Fri Sep 28 2007 agraf@suse.de
- fix SVM support (Alexander Graf)
* Thu Sep 13 2007 agraf@suse.de
- add SVM emulation support (Alexander Graf)
- fix a misassumption in the s390 fix (uli)
- allow more IDE power management (Ben Guthro)
- log any I/O error and perform automatic read retry for CDrom (Ben Guthro)
- fix Coherent guest support (Jan Jezabek)
- fix several Darwin guest issues (Filip Navara)
* Mon Aug 20 2007 agraf@suse.de
- fix ATAPI bug when using libata (Brandon Philips)  (#291775)
* Sat Aug 11 2007 olh@suse.de
- disable only SNDRV_SB_CSP_IOCTL_LOAD_CODE for _IOC_SIZEBITS < 14
* Thu Aug  9 2007 olh@suse.de
- disable some alsa SB ioctl declarations
* Mon Aug  6 2007 olh@suse.de
- remove inclusion of linux/compiler.h
* Mon Jul 30 2007 uli@suse.de
- fixed for S/390
* Tue Jul 10 2007 schwab@suse.de
- Add (incomplete) m68k emulation.
* Mon Jul  9 2007 agraf@suse.de
- included alsa support in qemu-user
- update to current cvs
  - TFTP booting from host directory (Anthony Liguori, Erwan Velu)
  - Tap device emulation for Solaris (Sittichai Palanisong)
  - Monitor multiplexing to several I/O channels (Jason Wessel)
  - ds1225y nvram support (Herve Poussineau)
  - CPU model selection support (J. Mayer, Paul Brook, Herve Poussineau)
  - Several Sparc fixes (Aurelien Jarno, Blue Swirl)
  - MIPS 64-bit FPU support (Thiemo Seufer)
  - Xscale PDA emulation (Andrzei Zaborowski)
  - ColdFire system emulation (Paul Brook)
  - Improved SH4 support (Magnus Damm)
  - MIPS64 support (Aurelien Jarno, Thiemo Seufer)
  - Preliminary Alpha guest support (J. Mayer)
  - IPC fixes
* Wed Jun 20 2007 agraf@suse.de
- applied proper fix for x86_64 and the MAP_32BIT flag
* Wed Jun 20 2007 uli@suse.de
- added secfixes (bug #252519)
* Thu Jun 14 2007 agraf@suse.de
- made wine work (set FS register to 0 on init)
- suppressed robust_list warnings
* Wed Jun 13 2007 agraf@suse.de
- made flash player 9 work on ppc
- fixed FUTEX_WAKE_OP on machines where endianness differs
- made mmap on x86_64 use the MAP_32BIT flag
- removed a useless spin_lock
- removed an annoying debug message for forking
- implemented sched_getaffinity syscall
- fixed configure call so it takes gcc3 again
* Wed Jun 13 2007 uli@suse.de
- support "vga=" parameter (Pascal Terjan)
- direct jump support for x86-64 (Gwenole Beauchesne)
- fix chaining of CPU instances (Gwenole Beauchesne)
- live migration support (Anthony Liguori)
- fix fprem/fprem1 insns (Julian Seward)
- KVM support
- Z80/ZX Spectrum emulation (Stuart Brady)
- GCC4 support postponed (breaks x86-64 on i386)
* Mon Jun 11 2007 agraf@suse.de
- implemented TLS support on i386 so qemu-user can be used to run
  with current libc versions (partly done by David Woodhouse,
  fixed by Alexander Graf)
- added a dirty hack for an mmap page table bug on qemu-user x86
  emulation
- disable AF_NETLINK in qemu-user (endianness problems)
- applied fast path mangling patch from Kirill A. Shutemov
- applied strace patch for debugging (by Stuart R. Anderson)
* Wed Apr  4 2007 agraf@suse.de
- fixed initrd loading on x86
* Thu Mar 29 2007 ro@suse.de
- added bison to BuildRequires
* Tue Feb 20 2007 uli@suse.de
- added better fix by Robert Schiele (bug #241950)
- update -> 0.9.0
  - Support for relative paths in backing files for disk images
  - Async file I/O API
  - New qcow2 disk image format
  - Support of multiple VM snapshots
  - Linux: specific host CDROM and floppy support
  - SMM support
  - Moved PCI init, MP table init and ACPI table init to Bochs BIOS
  - Support for MIPS32 Release 2 instruction set (Thiemo Seufer)
  - MIPS Malta system emulation (Aurelien Jarno, Stefan Weil)
  - Darwin userspace emulation (Pierre d'Herbemont)
  - m68k user support (Paul Brook)
  - several x86 and x86_64 emulation fixes
  - Mouse relative offset VNC extension (Anthony Liguori)
  - PXE boot support (Anthony Liguori)
  - '-daemonize' option (Anthony Liguori)
* Tue Feb  6 2007 uli@suse.de
- added fix by Robert Schiele to work without usbdevfs
  (bug #241950)
* Thu Feb  1 2007 ro@suse.de
- remove -fstack-protector from CFLAGS
* Fri Oct 27 2006 schwab@suse.de
- Fix char signedness.
* Mon Sep 11 2006 uli@suse.de
- re-added ARM FPE patch
- fixed SPARC on PPC
- install missing openbios-sparc32
* Sat Sep  9 2006 dmueller@suse.de
- update to 0.8.2:
  - ACPI support
  - PC VGA BIOS fixes
  - MIPS FPU support (Marius Groeger)
  - PPC breakpoints and single stepping (Jason Wessel)
  - USB updates (Paul Brook)
  - UDP/TCP/telnet character devices (Jason Wessel)
  - Windows sparse file support (Frediano Ziglio)
  - RTL8139 NIC TCP segmentation offloading (Igor Kovalenko)
  - PCNET NIC support (Antony T Curtis)
  - Support for variable frequency host CPUs
  - Workaround for win32 SMP hosts
  - Support for AMD Flash memories (Jocelyn Mayer)
  - Audio capture to WAV files support (malc)
* Tue May 30 2006 uli@suse.de
- fixed to build on PPC with new glibc
* Mon May 29 2006 uli@suse.de
- fixed to build with new kernel headers
* Wed Mar  8 2006 uli@suse.de
- split giant patch
- added NWFPE glue code fix
* Tue Mar  7 2006 schwab@suse.de
- More fixes for ia64 port.
* Mon Mar  6 2006 schwab@suse.de
- Remove obsolete hunk from ia64 patch.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 uli@suse.de
- update -> 0.8.0
* Thu Dec  8 2005 uli@suse.de
- update to current CVS (MIPS userspace, ARM system, SMP, USB,
  NX, VLAN, serial, parallel, ES1370, ALSA backend)
- build i386 and AMD64 emus with kqemu support if possible
- install missing PPC video driver, SPARC boot ROM
- install missing keymaps
* Mon Nov  7 2005 uli@suse.de
- updated linker scripts for new binutils release
* Sat Sep 17 2005 dmueller@suse.de
- update to 0.7.2
* Mon Aug 15 2005 schwab@suse.de
- Don't package /emul/ia32-linux on ia64.
* Mon Aug 15 2005 schwab@suse.de
- Fix compilation on ia64.
* Mon Aug  1 2005 uli@suse.de
- update -> 0.7.1
- enabled x86_64-system
* Mon Jul 11 2005 uli@suse.de
- update -> CVS (MIPS emulation)
- build with throwaway GCC3 (still no GCC4-compatible QEMU in
  sight)
- enabled armeb-user
- link *-user statically (necessary for chrooting into non-native
  systems)
- disabled s390, alpha, armv4l build (broken and unmaintained)
- disabled qemu-fast (broken and deprecated)
- disabled i386-user on x86_64 (useless)
- build with %%jobs
* Wed Jun  1 2005 ro@suse.de
- update to 0.7.0, still no success with gcc-4
* Thu Jan 27 2005 uli@suse.de
- baselibs-x86 link is unnecessary on x86/AMD64
- two ARM emulation fixes (RRX operand fix by Paul Brook, shifter
  carry fix by me)
- SDL 1.2.8 can be linked statically -> enabled qemu-fast
* Mon Nov 29 2004 uli@suse.de
- update -> 0.6.1
- build softmmu binaries on s390 (still doesn't work though)
- pack /emul/ia32-linux directory and symlink from /usr/share/qemu
  so it's possible to use the IA64 baselibs-x86 packages
* Wed Sep 15 2004 uli@suse.de
- removed unnecessary dependency on private glibc symbol
  (bug #44864)
* Fri Aug  6 2004 uli@suse.de
- update -> 0.6.0 (fixes for several OSs, improvements in emulated
  hardware (IDE, PCI, network, VGA, APM, PowerMac), minor fixes,
  tool for conversion of VMware images)
* Tue May 11 2004 uli@suse.de
- update -> 0.5.5 (contains ARM, utime() fixes and several others)
- make uname() return target machine name (fixes config.guess,
  rpm etc.)
- fake sigaltstack() (fixes m4)
- enabled x86-64
* Wed May  5 2004 uli@suse.de
- fixed ARM emulation bug
* Wed Apr 28 2004 uli@suse.de
- build with -fno-unit-at-a-time (fixes PPC system emulator)
* Wed Apr 28 2004 uli@suse.de
- update -> 0.5.4 (runs Linux/PPC, several fixes)
* Mon Apr 19 2004 uli@suse.de
- initial package
